<?

/* DISCLAIMER *****************************************************************
*                                                                             *
* The Purple Yin Guestbook code is distributed without any warranty. All      *
* warranties, expressed or implied are hereby disclaimed. This includes but   *
* is not limited to warranties of merchantability or fitness for a particular *
* purpose. The reselling of this code is strictly prohibited.                 *
*                                                                             *
*******************************************************************************

/* PURPLE YIN GUESTBOOK INFORMATION *******************************************
*                                                                             *
* URL:           www.purpleyin.com                                            *
* AUTHOR:        Thomas Phan                                                  *
* EMAIL:         phanxo@yahoo.com                                             *
*                                                                             *
******************************************************************************/

$title='Purple Yin Guestbook Version 1.0.8';

/*Perform file updates if necessary.******************************************/
if(count(file_PYG('options.php'))!=45)
{
	/*Update necessary files from pre-1.0.7 to 1.0.7 format.**************/
	if(count(file_PYG('options.php'))==17)
	{
		$DBList=new PYGLIST('db.php');
		if(substr_count($DBList->list[0],'<>')==7)
		{
			foreach($DBList->list as $item)
			{
				$DBList->replace($item,$item."<>0<><><><><><>");
			}
		}
		$DBList->destructor();
		/*****/
		$DBList=new PYGLIST('deleted.php');
		if(substr_count($DBList->list[0],'<>')==7)
		{
			foreach($DBList->list as $item)
			{
				$DBList->replace($item,$item."<>0<><><><><><>");
			}
		}
		$DBList->destructor();
		/*****/
		$str="";
		$templateList=new PYGLIST('temp.default.php');
		foreach($templateList->list as $item)
		{
			$str.=$item;
		}
		if(substr_count($str,'<seperator>')==6)
		{
			$templateList->forceAdd('<seperator>');
		}
		$templateList->destructor();
		/*****/
		$fileName='editView.php';
		if(file_exists($fileName))
		{
			print"The file named '$fileName' is not needed as of version 1.0.7<br>\r\n";
			print"Please manually delete this file.<br>\r\n";
			exit();
		}
		/*****/
		$fileName='editSign.php';
		if(file_exists($fileName))
		{
			print"The file named '$fileName' is not needed as of version 1.0.7<br>\r\n";
			print"Please manually delete this file.<br>\r\n";
			exit();
		}
		/*****/
		$fileName='editError.php';
		if(file_exists($fileName))
		{
			print"The file called '$fileName' is not needed as of version 1.0.7<br>\r\n";
			print"Please manually delete this file.<br>\r\n";
			exit();
		}
		/*****/
		$optionsList=new PYGLIST('options.php');
		$optionsList->forceAdd(1000);
		$optionsList->forceAdd(1);
		$optionsList->destructor();
	}
	/*END: Update necessary files from pre-1.0.7 to 1.0.7 format.*********/
	
	/*Update necessary files from 1.0.7 to 1.0.8 format.******************/
	if(count(file_PYG('options.php'))==19)
	{
		$optionsList=new PYGLIST('options.php');
		
		$optionsList->forceAdd(0);
		
		$optionsList->forceAdd('Sunday');
		$optionsList->forceAdd('Monday');
		$optionsList->forceAdd('Tuesday');
		$optionsList->forceAdd('Wednesday');
		$optionsList->forceAdd('Thursday');
		$optionsList->forceAdd('Friday');
		$optionsList->forceAdd('Saturday');

		$optionsList->forceAdd('January');
		$optionsList->forceAdd('February');
		$optionsList->forceAdd('March');
		$optionsList->forceAdd('April');
		$optionsList->forceAdd('May');
		$optionsList->forceAdd('June');
		$optionsList->forceAdd('July');
		$optionsList->forceAdd('August');
		$optionsList->forceAdd('September');
		$optionsList->forceAdd('October');
		$optionsList->forceAdd('November');
		$optionsList->forceAdd('December');
		
		$optionsList->forceAdd(1);
		
		$optionsList->forceAdd("A required field was left blank!");
		$optionsList->forceAdd("Your entry is too long! The maximum character limit was exceeded!");
		$optionsList->forceAdd("Submissions from your I.P. address are not allowed!");
		$optionsList->forceAdd("Your submission contained a word that was not allowed!");
		$optionsList->forceAdd("Your submission contained a word that was not allowed!");
		
		$optionsList->destructor();
	}
	/*END: Update necessary files from 1.0.7 to 1.0.8 format.*************/
}
/*END: Perform file updates if necessary.*************************************/

/*Data file header template.**************************************************/
$DFHT=
	'<?'."\r\n".
	"\r\n".
	'header("Location: sign.php");'."\r\n".
	'exit();'."\r\n".
	'/*'."\r\n"
;
/*Data file footer template.**************************************************/
$DFFT=
	'*/'."\r\n".
	"\r\n".
	'?>'."\r\n"
;
/*****************************************************************************/

function unhtmlentities($string)
{
    $trans_tbl=get_html_translation_table(HTML_ENTITIES);
    $trans_tbl=array_flip($trans_tbl);
    return strtr($string,$trans_tbl);
}

function PYG_fgets($fp)
{
	$string=fgets($fp,1024);
	while(!feof($fp)&&strpos($string,"\n")===false)
	{
		$string.=fgets($fp,1024);
	}	
	return cleanFileInput($string);
}

function getTemplate($tNum)
{
	$templatesStr='';
	$fp=fopen('temp.default.php','r');
	flock($fp,LOCK_SH);
	$ln=PYG_fgets($fp);
	while(trim($ln)!='/*')
	{
		$ln=PYG_fgets($fp);
	}
	$ln=PYG_fgets($fp);
	while(trim($ln)!='*/')
	{
		$templatesStr.=$ln;
		$ln=PYG_fgets($fp);
	}
	flock($fp,LOCK_UN);
	fclose($fp);
	$templatesArr=explode('<seperator>',$templatesStr);
	return trim($templatesArr[$tNum-1]);
}
function getErrorHeaderTemplate(){return	getTemplate(1);}
function getPerErrorTemplate(){return		getTemplate(2);}
function getErrorFooterTemplate(){return	getTemplate(3);}
function getSignTemplate(){return		getTemplate(4);}
function getHeaderTemplate(){return		getTemplate(5);}
function getEntryTemplate(){return		getTemplate(6);}
function getFooterTemplate(){return		getTemplate(7);}
function getReplyTemplate(){return		getTemplate(8);}

function setTemplate($tNum,$tStr)
{
	global $DFHT;
	global $DFFT;
	$tStr=trim($tStr);
	if(strlen($tStr)>0)
	{
		$tStr.="\r\n";
	}
	$fp=fopen('temp.default.php','r');
	flock($fp,LOCK_SH);
	$templatesStr='';
	$ln=PYG_fgets($fp);
	while(trim($ln)!='/*')
	{
		$ln=PYG_fgets($fp);
	}
	$ln=PYG_fgets($fp);
	while(trim($ln)!='*/')
	{
		$templatesStr.=$ln;
		$ln=PYG_fgets($fp);
	}
	flock($fp,LOCK_UN);
	fclose($fp);
	$fp=fopen('temp.default.php','w');
	flock($fp,LOCK_EX);
	$templatesArr=explode('<seperator>',$templatesStr);
	$templatesArr[$tNum-1]=$tStr;
	$outStr=$DFHT;
	for($i=0;$i<count($templatesArr);$i++)
	{
		$outStr.=trim($templatesArr[$i])."\r\n";
		if($i!=count($templatesArr)-1)
		{
			$outStr.='<seperator>'."\r\n";
		}
	}
	$outStr.=$DFFT;
	fwrite($fp,prepFileOutput($outStr));
	flock($fp,LOCK_UN);
	fclose($fp);
}
function setErrorHeaderTemplate($template){	setTemplate(1,$template);}
function setPerErrorTemplate($template){	setTemplate(2,$template);}
function setErrorFooterTemplate($template){	setTemplate(3,$template);}
function setSignTemplate($template){		setTemplate(4,$template);}
function setHeaderTemplate($template){		setTemplate(5,$template);}
function setEntryTemplate($template){		setTemplate(6,$template);}
function setFooterTemplate($template){		setTemplate(7,$template);}
function setReplyTemplate($template){		setTemplate(8,$template);}

function addSmiley($emoticon,$fileName,$advanced)
{
	$smileyList=new PYGLIST('smilies.php');
	$smileyList->add($emoticon.'<seperator>'.$fileName.'<seperator>'.$advanced);
	$smileyList->destructor();
}

function removeSmiley($emoticon,$fileName,$advanced)
{
	$smileyList=new PYGLIST('smilies.php');
	$smileyList->remove($emoticon.'<seperator>'.$fileName.'<seperator>'.$advanced);
	$smileyList->destructor();	
}

function getNumEntries()
{
	return count(file_PYG('db.php'))-8;
}

function getNumDeletedEntries()
{
	return count(file_PYG('deleted.php'))-8;
}

function getOption($optionNum)
{
	$fContents=file_PYG('options.php');
	return $fContents[$optionNum+4];
}
function getEmptyGoTo(){return 		getOption(1);}
function getEntriesPerPage(){return 	getOption(2);}
function getSpanPages(){return 		getOption(3);}
function getEntryOrder(){return 	getOption(4);}
function getMaxWordLen(){return 	getOption(5);}
function getSmiliesEnabled(){return 	getOption(6);}
function getEmailNotification(){return 	getOption(7);}
function getAdminEmail(){return 	getOption(8);}
function getTimeOffset(){return 	getOption(9);}
function getMaxEntryLength(){return 	getOption(10);}
function getPasswordProtect(){return 	getOption(11);}
function getAllowHTML(){return 		getOption(12);}
function getDay1(){return 		getOption(13);}
function getDay2(){return 		getOption(14);}
function getDay3(){return 		getOption(15);}
function getDay4(){return 		getOption(16);}
function getDay5(){return 		getOption(17);}
function getDay6(){return 		getOption(18);}
function getDay7(){return 		getOption(19);}
function getMonth01(){return 		getOption(20);}
function getMonth02(){return 		getOption(21);}
function getMonth03(){return 		getOption(22);}
function getMonth04(){return 		getOption(23);}
function getMonth05(){return 		getOption(24);}
function getMonth06(){return 		getOption(25);}
function getMonth07(){return 		getOption(26);}
function getMonth08(){return 		getOption(27);}
function getMonth09(){return 		getOption(28);}
function getMonth10(){return 		getOption(29);}
function getMonth11(){return 		getOption(30);}
function getMonth12(){return 		getOption(31);}
function getPrivatePlaceholder(){return getOption(32);}
function getRequiredFieldError(){return getOption(33);}
function getLongEntryError(){return 	getOption(34);}
function getIPError(){return 		getOption(35);}
function getBadWordError(){return 	getOption(36);}
function getBadStringError(){return 	getOption(37);}

function setOption($optionNum,$optionVal)
{
	$optionList=new PYGLIST('options.php');
	$options=$optionList->list;
	$optionList->destructor();

	$options[$optionNum-1]=$optionVal;

	global $DFHT;
	global $DFFT;

	$outString=$DFHT;
	
	foreach($options as $option)
	{
		$outString.=$option."\r\n";
	}
	
	$outString.=$DFFT;
	
	writeToFile('options.php',$outString);
}
function setEmptyGoTo($data){		setOption(1,$data);}
function setEntriesPerPage($data){	setOption(2,$data);}
function toggleSpanPages(){		setOption(3,(getOption(3)+1)%2);}
function toggleEntryOrder(){		setOption(4,(getOption(4)+1)%2);}
function setMaxWordLen($data){		setOption(5,$data);}
function toggleSmilies(){		setOption(6,(getOption(6)+1)%2);}
function toggleEmailNotification(){	setOption(7,(getOption(7)+1)%2);}
function setAdminEmail($data){		setOption(8,$data);}
function setTimeOffset($data){		setOption(9,$data);}
function setMaxEntryLength($data){	setOption(10,$data);}
function togglePasswordProtect(){	setOption(11,(getOption(11)+1)%2);}
function toggleAllowHTML(){		setOption(12,(getOption(12)+1)%2);}
function setDay1($data){		setOption(13,$data);}
function setDay2($data){		setOption(14,$data);}
function setDay3($data){		setOption(15,$data);}
function setDay4($data){		setOption(16,$data);}
function setDay5($data){		setOption(17,$data);}
function setDay6($data){		setOption(18,$data);}
function setDay7($data){		setOption(19,$data);}
function setMonth01($data){		setOption(20,$data);}
function setMonth02($data){		setOption(21,$data);}
function setMonth03($data){		setOption(22,$data);}
function setMonth04($data){		setOption(23,$data);}
function setMonth05($data){		setOption(24,$data);}
function setMonth06($data){		setOption(25,$data);}
function setMonth07($data){		setOption(26,$data);}
function setMonth08($data){		setOption(27,$data);}
function setMonth09($data){		setOption(28,$data);}
function setMonth10($data){		setOption(29,$data);}
function setMonth11($data){		setOption(30,$data);}
function setMonth12($data){		setOption(31,$data);}
function togglePrivatePlaceholder(){	setOption(32,(getOption(32)+1)%2);}
function setRequiredFieldError($data){	setOption(33,$data);}
function setLongEntryError($data){	setOption(34,$data);}
function setIPError($data){		setOption(35,$data);}
function setBadWordError($data){	setOption(36,$data);}
function setBadStringError($data){	setOption(37,$data);}

function getID()
{
	$fContents=file_PYG('id.php');
	return $fContents[5];
}

function incrementID()
{
	$idList=new PYGLIST('id.php');
	$idList->replace($idList->list[0],++$idList->list[0]);
	$idList->destructor();
}

function i_str_replace($search,$replace,$subject)
{
	$lowerCaseSubject=strtolower($subject);
	$search=strtolower($search);
	$chunks=explode($search,$lowerCaseSubject);
	if(count($chunks)>0)
	{
		$newSubject='';
		for($i=0;$i<count($chunks);$i++)
		{
			if($i!=count($chunks)-1)
			{
				$newSubject.=substr($subject,0,strlen($chunks[$i])).$replace;
				$subject=substr($subject,strlen($chunks[$i])+strlen($search));
			}
			else
			{
				$newSubject.=substr($subject,0,strlen($chunks[$i]));
			}
		}
		return $newSubject;
	}
	else
	{
		return $subject;
	}
}

function file_PYG($fName)
{
	$fp=fopen($fName,'r');
	flock($fp,LOCK_SH);
	$file=array();
	while(!feof($fp))
	{
		$file[]=trim(PYG_fgets($fp));
	}
	flock($fp,LOCK_UN);
	fclose($fp);
	if($file[count($file)-1]==null)
	{
		array_pop($file);
	}
	return $file;
}

function cleanFormData($data)
{
	if(ini_get('magic_quotes_gpc')==1)
	{
		if(ini_get('magic_quotes_sybase')!=1)
		{
			$data=stripslashes($data);
		}
		else
		{
			$data=str_replace("''","'",$data);
		}
	}
	return $data;
}

function cleanFileInput($data)
{
	if(ini_get('magic_quotes_runtime')==1)
	{
		if(ini_get('magic_quotes_sybase')!=1)
		{
			$data=stripslashes($data);
		}	
		else
		{
			$data=str_replace("''","'",$data);
		}
	}
	return $data;
}

function prepFileOutput($data)
{
	if(ini_get('magic_quotes_runtime')==1)
	{
		if(ini_get('magic_quotes_sybase')!=1)
		{
			$data=str_replace("\\","\\\\",$data);
		}
		else
		{
			$data=str_replace("'","''",$data);
		}
	}
	return $data;
}

function writeToFile($fName,$data)
{
	$fp=fopen($fName,'w');
	flock($fp,LOCK_EX);
	fwrite($fp,prepFileOutput($data));
	flock($fp,LOCK_UN);
	fclose($fp);
}

class PYGLIST{
	var $fp;
	var $list;
	var $fName;
	function PYGLIST($fName)
	{
		$this->fName=$fName;
		$this->list=array();
		$this->fp=fopen($this->fName,'r+');
		flock($this->fp,LOCK_EX);
		$ln=trim(PYG_fgets($this->fp));
		while($ln!='/*')
		{
			$ln=trim(PYG_fgets($this->fp));
		}
		$ln=trim(PYG_fgets($this->fp));
		while($ln!='*/')
		{
			$this->list[]=$ln;
			$ln=trim(PYG_fgets($this->fp));
		}
		rewind($this->fp);
	}
	function search($needle)
	{
		foreach($this->list as $value)
		{
			if($needle==$value)
			{
				return 1;
			}
		}
		return 0;
	}
	function replace($search,$replace)
	{
		for($i=0;$i<count($this->list);$i++)
		{
			if($search==$this->list[$i])
			{
				$this->list[$i]=$replace;
			}
		}
	}
	function add($data)
	{
		if((array_search($data,$this->list)===false||array_search($data,$this->list)===null)&&strlen($data)>0)
		{
			$this->list[]=$data;
		}
	}
	function forceAdd($data)
	{
		$this->list[]=$data;
	}
	function remove($data)
	{
		$pos='-1';
		for($i=0;$i<count($this->list);$i++)
		{
			if($this->list[$i]==$data)
			{
				$pos=$i;
			}
		}
		if($pos!=-1)
		{
			array_splice($this->list,$pos,1);
		}
	}
	function destructor()
	{
		ftruncate($this->fp,0);
		fwrite($this->fp,prepFileOutput(
			'<?'."\r\n".
			"\r\n".
			'header("Location: sign.php");'."\r\n".
			'exit();'."\r\n".
			'/*'."\r\n"
		));
		foreach($this->list as $value)
		{
			fwrite($this->fp,prepFileOutput($value."\r\n"));
		}
		fwrite($this->fp,prepFileOutput(
			'*/'."\r\n".
			"\r\n".
			'?>'."\r\n"
		));
		flock($this->fp,LOCK_UN);
		fclose($this->fp);
	}
}

function addRow(
	$id,
	$date,
	$name,
	$email,
	$homepage,
	$location,
	$comments,
	$ip,
	$private,
	$reply,
	$extraField1,
	$extraField2,
	$extraField3,
	$extraField4,
	$extraField5
)
{
	$DB=new PYGLIST('db.php');
	$DB->add(
		$id.'<>'.
		$date.'<>'.
		$name.'<>'.
		$email.'<>'.
		$homepage.'<>'.
		$location.'<>'.
		$comments.'<>'.
		$ip.'<>'.
		$private.'<>'.
		$reply.'<>'.
		$extraField1.'<>'.
		$extraField2.'<>'.
		$extraField3.'<>'.
		$extraField4.'<>'.
		$extraField5
	);
	$DB->destructor();
}

function removeRow($ID)
{
	$DB=new PYGLIST('db.php');
	foreach($DB->list as $row)
	{
		$fields=explode('<>',$row);
		if($fields[0]==$ID)
		{
			$DB->remove($row);
		}
	}
	$DB->destructor();
}

function setDB($DB)
{
	global $DFHT;
	global $DFFT;
	$DB=trim($DB);
	if(strlen($DB)>0)
	{
		$DB=$DB."\r\n";
	}
	writeToFile('db.php',$DFHT.$DB.$DFFT);
}

/*Returns the database as an array.*/
function getDB($DBnum)
{
	switch($DBnum)
	{
		case 0:
			$DBList=new PYGLIST('db.php');
		break;
		case 1:
			$DBList=new PYGLIST('deleted.php');
		break;
	}
	$DB=$DBList->list;
	$DBList->destructor();
	return($DB);
}

/*$DB=0or1;0=db;1=deleted*/
function getSortedDB($DB,$order)
{
	$seconds=array();
	switch($DB)
	{
		case 0:
			$rows=getDB(0);
		break;
		case 1:
			$rows=getDB(1);
		break;
	}
	foreach($rows as $row)
	{
		$fields=explode('<>',$row);
		$dateAndTimeInfo=explode('.',$fields[1]);
		$seconds[]=mktime(
			$dateAndTimeInfo[4],
			$dateAndTimeInfo[5],
			$dateAndTimeInfo[6],
			$dateAndTimeInfo[0],
			$dateAndTimeInfo[2],
			$dateAndTimeInfo[3]
		);
	}
	$sortedSeconds=$seconds;
	if($order==0)
	{
		rsort($sortedSeconds,SORT_NUMERIC);
	}
	else
	{
		sort($sortedSeconds,SORT_NUMERIC);
	}
	$sortedRows=array();
	for($i=0;$i<count($sortedSeconds);$i++)
	{
		for($j=0;$j<count($seconds);$j++)
		{
			if($sortedSeconds[$i]==$seconds[$j])
			{
				$sortedRows[]=$rows[$j];
				$seconds[$j]=0;
				$j=count($seconds);
			}
		}
	}
	return $sortedRows;
}

function displayEnterPasswordForm()
{
	global $title;
?>
<html>
<head>
<title><?print$title;?></title>
</head>
<body bgcolor="#CCCCFF" text="#000066" link="#000066" alink="#000066" vlink="#000066" >
<div align="center">
<center>
<table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111">
<tr>
<td>
<p><a href="http://www.purpleyin.com"><b><font face="Verdana" size="1"><?print$title;?></font></b></a></p>
<p><b><font face="Arial" size="1">Administration Login</font></b></p>
<p><b><font face="Arial" size="1">Browser must be cookie-enabled!</font></b></p>
<form method="POST" action="admin.php">
<font face="Arial" size="1"><b>Enter password:</b></font> <input type="password" name="password" size="20">
<p>
<font face="Arial" size="1"><b>Password protect guestbook?</b></font> <input type="checkbox" name="passwordProtect" value="1" <?if(getPasswordProtect()==1)print"checked";?>>
</p>
<input type="submit" value="Login">
</form>
</td>
</tr>
</table>
</center>
</div>
</body>
</html>
<?
}

function displaySetPasswordForm()
{
	global $title;
?>
<html>
<head>
<title><?print$title;?></title>
</head>
<body bgcolor="#CCCCFF" text="#000066" link="#000066" alink="#000066" vlink="#000066" >
<script language="JavaScript">
</script>
<div align="center">
<center>
<table border="0" cellpadding="0" cellspacing="0">
<tr>
<td>
<p><a href="http://www.purpleyin.com"><b><font face="Verdana" size="1"><?print$title;?></font></b></a></p>
<p><b><font face="Arial" size="1">Administration Login</font></b></p>
<p><b><font face="Arial" size="1">Browser must be cookie-enabled!</font></b></p>
<p><b><font face="Arial" size="1">Password has not been set!</font></b></p>
<form method="POST" action="admin.php">
<font face="Arial" size="1"><b>Enter password:</b></font><br>
<input type="password" name="password" size="20">
<p><input type="submit" value="Set Password"></p>
</form>
</td>
</tr>
</table>
</center>
</div>
</body>
</html>
<?
}

?>
