<?

/* DISCLAIMER *****************************************************************
*                                                                             *
* The Purple Yin Guestbook code is distributed without any warranty. All      *
* warranties, expressed or implied are hereby disclaimed. This includes but   *
* is not limited to warranties of merchantability or fitness for a particular *
* purpose. The reselling of this code is strictly prohibited.                 *
*                                                                             *
*******************************************************************************

/* PURPLE YIN GUESTBOOK INFORMATION *******************************************
*                                                                             *
* URL:           www.purpleyin.com                                            *
* AUTHOR:        Thomas Phan                                                  *
* EMAIL:         phanxo@yahoo.com                                             *
*                                                                             *
******************************************************************************/

include 'PYG.php';

if(getPasswordProtect()==1)
{
	session_start();

	$passwordValid=0;

	$passwordList=new PYGLIST('password.php');
	$storedPasswordList=$passwordList->list;
	$passwordList->destructor();

	if(!isset($_SESSION['sessUserPassword']))
	{
		$_SESSION['sessUserPassword']="";
	}

	if(count($storedPasswordList)==1)
	{
		$storedPassword=$storedPasswordList[0];
		if(strlen($_SESSION['sessUserPassword'])>0)
		{
			if($storedPassword==crypt($_SESSION['sessUserPassword'],$storedPassword))
			{
				$passwordValid=1;
			}
			else
			{
				$_SESSION['sessUserPassword']="";
				displayEnterPasswordForm();
				exit();
			}
		}
		elseif(isset($HTTP_POST_VARS['password']))
		{
			$_SESSION['sessUserPassword']=trim(cleanFormData($HTTP_POST_VARS['password']));
			if($storedPassword==crypt($_SESSION['sessUserPassword'],$storedPassword))
			{
				$passwordValid=1;
				if(isset($HTTP_POST_VARS['passwordProtect']))
				{
					if($HTTP_POST_VARS['passwordProtect']==1)
					{
						if(getPasswordProtect()==0)
						{
							togglePasswordProtect();
						}
					}
					else
					{
						if(getPasswordProtect()==1)
						{
							togglePasswordProtect();
						}
					}
				}
				else
				{
						if(getPasswordProtect()==1)
						{
							togglePasswordProtect();
						}
				}
			}
			else
			{
				$_SESSION['sessUserPassword']="";
				displayEnterPasswordForm();
				exit();
			}
		}
		else
		{
			displayEnterPasswordForm();
			exit();
		}
	}
	else
	{
		if(isset($HTTP_POST_VARS['password']))
		{
			$passwordList=new PYGLIST('password.php');
			$passwordList->add(crypt(trim(cleanFormData($HTTP_POST_VARS['password']))));
			$passwordList->destructor();
			displayEnterPasswordForm();
			exit();
		}
		else
		{
			displaySetPasswordForm();
			exit();
		}
	}
}
else
{
	$passwordValid=1;
}

if($passwordValid==1)
{	
	if(isset($HTTP_GET_VARS['action']))
	{
		switch($HTTP_GET_VARS['action'])
		{
			case 'makeRequired':
				$fields=new PYGLIST('fields.php');
				foreach($fields->list as $value)
				{
					$data=explode('<seperator>',$value);
					if(strcmp(cleanFormData(trim($HTTP_GET_VARS['field'])),$data[0])==0)
					{
						$fields->replace($value,$data[0].'<seperator>1');
					}
				}
				$fields->destructor();
				header("Location: admin.php?display=signAdmin");
			break;
			case 'makeNotRequired':
				$fields=new PYGLIST('fields.php');
				foreach($fields->list as $value)
				{
					$data=explode('<seperator>',$value);
					if(strcmp(cleanFormData(trim($HTTP_GET_VARS['field'])),$data[0])==0)
					{
						$fields->replace($value,$data[0].'<seperator>0');
					}
				}
				$fields->destructor();
				header("Location: admin.php?display=signAdmin");
			break;
			case 'addBadWord':
				$HTTP_POST_VARS['badWord']=cleanFormData(trim($HTTP_POST_VARS['badWord']));
				$badWords=new PYGLIST('badWords.php');
				$badWords->add($HTTP_POST_VARS['badWord']);
				$badWords->destructor();
				header("Location: admin.php?display=signAdmin");
			break;
			case 'addBadString':
				$HTTP_POST_VARS['badString']=cleanFormData(trim($HTTP_POST_VARS['badString']));
				$badStrings=new PYGLIST('badStrings.php');
				$badStrings->add($HTTP_POST_VARS['badString']);
				$badStrings->destructor();
				header("Location: admin.php?display=signAdmin");
			break;
			case 'removeBadWord':
				$HTTP_GET_VARS['badWord']=cleanFormData(trim($HTTP_GET_VARS['badWord']));
				$badWords=new PYGLIST('badWords.php');
				$badWords->remove($HTTP_GET_VARS['badWord']);
				$badWords->destructor();
				header("Location: admin.php?display=signAdmin");
			break;
			case 'removeBadString':
				$HTTP_GET_VARS['badString']=cleanFormData(trim($HTTP_GET_VARS['badString']));
				$badStrings=new PYGLIST('badStrings.php');
				$badStrings->remove($HTTP_GET_VARS['badString']);
				$badStrings->destructor();
				header("Location: admin.php?display=signAdmin");
			break;
			case 'ban':
				if(isset($HTTP_GET_VARS['ip']))
				{
					$IP=cleanFormData(trim($HTTP_GET_VARS['ip']));
					$banned=new PYGLIST('banned.php');
					$banned->add($IP);
					$banned->destructor();
					header("Location: admin.php?display=".cleanFormData(trim($HTTP_GET_VARS['from'])));
				}
				if(isset($HTTP_POST_VARS['ip']))
				{
					$IP=cleanFormData(trim($HTTP_POST_VARS['ip']));
					$banned=new PYGLIST('banned.php');
					$banned->add($IP);
					$banned->destructor();
					header("Location: admin.php?display=signAdmin");
				}
			break;
			case 'unban':
				$banned=new PYGLIST('banned.php');
				$banned->remove(cleanFormData(trim($HTTP_GET_VARS['ip'])));
				$banned->destructor();
				header("Location: admin.php?display=".cleanFormData(trim($HTTP_GET_VARS['from'])));
			break;
			case 'setMaxWordLength':
				setMaxWordLen(cleanFormData(trim($HTTP_POST_VARS['maxWordLength'])));
				header("Location: admin.php?display=viewAdmin");
			break;
			case 'toggleSpanPages':
				toggleSpanPages();
				header("Location: admin.php?display=viewAdmin");
			break;
			case 'setEntriesPerPage':
				setEntriesPerPage(cleanFormData(trim($HTTP_POST_VARS['entriesPerPage'])));
				header("Location: admin.php?display=viewAdmin");
			break;
			case 'toggleEntryOrder':
				toggleEntryOrder();
				header("Location: admin.php?display=viewAdmin");
			break;
			case 'setEmptyGoTo':
				setEmptyGoTo(cleanFormData(trim($HTTP_POST_VARS['emptyGoTo'])));
				header("Location: admin.php?display=viewAdmin");
			break;
			case 'toggleSmilies':
				toggleSmilies();
				header("Location: admin.php?display=viewAdmin");
			break;
			case 'addSmiley':
				addSmiley(
					cleanFormData(trim($HTTP_POST_VARS['emoticon'])),
					cleanFormData(trim($HTTP_POST_VARS['fileName'])),
					cleanFormData(trim($HTTP_POST_VARS['advanced']))
				);
				header("Location: admin.php?display=viewAdmin");
			break;
			case 'removeSmiley':
				removeSmiley(
					cleanFormData(trim($HTTP_GET_VARS['emoticon'])),
					cleanFormData(trim($HTTP_GET_VARS['fileName'])),
					cleanFormData(trim($HTTP_GET_VARS['advanced']))
				);
				header("Location: admin.php?display=viewAdmin");
			break;
			case 'deleteEntry':
				$deleted=new PYGLIST('deleted.php');
				$DB=new PYGLIST('db.php');
				foreach($DB->list as $value)
				{
					$fields=explode('<>',$value);
					if($fields[0]==cleanFormData(trim($HTTP_GET_VARS['id'])))
					{
						$DB->remove($value);
						$deleted->add($value);
						break;
					}
				}
				$deleted->destructor();
				$DB->destructor();
				if(isset($HTTP_GET_VARS['from']))
				{
					header("Location: view.php?beginningEntry=".cleanFormData(trim($HTTP_GET_VARS['beginningEntry'])));
				}
				else
				{
					header("Location: admin.php?display=adminEntries");
				}
			break;
			case 'permanentlyDeleteEntry':
				$deleted=new PYGLIST('deleted.php');
				foreach($deleted->list as $value)
				{
					$fields=explode('<>',$value);
					if($fields[0]==cleanFormData(trim($HTTP_GET_VARS['id'])))
					{
						$deleted->remove($value);
						break;
					}
				}
				$deleted->destructor();
				header("Location: admin.php?display=adminDeleted");
			break;
			case 'restore':
				$deleted=new PYGLIST('deleted.php');
				$DB=new PYGLIST('db.php');
				foreach($deleted->list as $value)
				{
					$fields=explode('<>',$value);
					if($fields[0]==cleanFormData(trim($HTTP_GET_VARS['id'])))
					{
						$deleted->remove($value);
						$DB->add($value);
						break;
					}
				}
				$deleted->destructor();
				$DB->destructor();
				header("Location: admin.php?display=adminDeleted");
			break;
			case 'editEntry':
				$month=array();
				$month[getMonth01()]=1;
				$month[getMonth02()]=2;
				$month[getMonth03()]=3;
				$month[getMonth04()]=4;
				$month[getMonth05()]=5;
				$month[getMonth06()]=6;
				$month[getMonth07()]=7;
				$month[getMonth08()]=8;
				$month[getMonth09()]=9;
				$month[getMonth10()]=10;
				$month[getMonth11()]=11;
				$month[getMonth12()]=12;
				
				$dayOfWeek=array();
				$dayOfWeek[getDay1()]=0;
				$dayOfWeek[getDay2()]=1;
				$dayOfWeek[getDay3()]=2;
				$dayOfWeek[getDay4()]=3;
				$dayOfWeek[getDay5()]=4;
				$dayOfWeek[getDay6()]=5;
				$dayOfWeek[getDay7()]=6;
				
				$id=cleanFormData(trim($HTTP_POST_VARS['id']));
				
				$date=
					$month[cleanFormData(trim($HTTP_POST_VARS['month']))].'.'.
					$dayOfWeek[cleanFormData(trim($HTTP_POST_VARS['dayOfWeek']))].'.'.
					cleanFormData(trim($HTTP_POST_VARS['dayOfMonth'])).'.'.
					cleanFormData(trim($HTTP_POST_VARS['year'])).'.'.
					cleanFormData(trim($HTTP_POST_VARS['hour'])).'.'.
					cleanFormData(trim($HTTP_POST_VARS['minute'])).'.'.
					cleanFormData(trim($HTTP_POST_VARS['second']))
				;
				
				$name=		cleanFormData(trim($HTTP_POST_VARS['name']));
				$email=		cleanFormData(trim($HTTP_POST_VARS['email']));
				$homepage=	cleanFormData(trim($HTTP_POST_VARS['homepage']));
				$location=	cleanFormData(trim($HTTP_POST_VARS['location']));
				$comments=	cleanFormData(trim($HTTP_POST_VARS['comments']));
				$ip=		cleanFormData(trim($HTTP_POST_VARS['ip']));
				
				if($HTTP_POST_VARS['private']!=1)
				{
					$HTTP_POST_VARS['private']=0;
				}
				
				$private=	cleanFormData(trim($HTTP_POST_VARS['private']));
				$reply=		cleanFormData(trim($HTTP_POST_VARS['reply']));
				$extraField1=	cleanFormData(trim($HTTP_POST_VARS['extraField1']));
				$extraField2=	cleanFormData(trim($HTTP_POST_VARS['extraField2']));
				$extraField3=	cleanFormData(trim($HTTP_POST_VARS['extraField3']));
				$extraField4=	cleanFormData(trim($HTTP_POST_VARS['extraField4']));
				$extraField5=	cleanFormData(trim($HTTP_POST_VARS['extraField5']));
				
				removeRow($id);
				
				addRow(
					str_replace("\r\n","<br>",htmlentities($id)),
					str_replace("\r\n","<br>",htmlentities($date)),
					str_replace("\r\n","<br>",htmlentities($name)),
					str_replace("\r\n","<br>",htmlentities($email)),
					str_replace("\r\n","<br>",htmlentities($homepage)),
					str_replace("\r\n","<br>",htmlentities($location)),
					str_replace("\r\n","<br>",htmlentities($comments)),
					str_replace("\r\n","<br>",htmlentities($ip)),
					str_replace("\r\n","<br>",htmlentities($private)),
					str_replace("\r\n","<br>",htmlentities($reply)),
					str_replace("\r\n","<br>",htmlentities($extraField1)),
					str_replace("\r\n","<br>",htmlentities($extraField2)),
					str_replace("\r\n","<br>",htmlentities($extraField3)),
					str_replace("\r\n","<br>",htmlentities($extraField4)),
					str_replace("\r\n","<br>",htmlentities($extraField5))
				);
				
				if(strlen($HTTP_POST_VARS['from'])>0)
				{
					header("Location: view.php?beginningEntry=".cleanFormData(trim($HTTP_POST_VARS['beginningEntry']))."&endingEntry=".cleanFormData(trim($HTTP_POST_VARS['endingEntry'])));
				}
				else
				{
					header("Location: admin.php?display=adminEntries");
				}
			break;
			case 'reply':
				$id=	cleanFormData(str_replace("\r\n","<br>",trim($HTTP_POST_VARS['id'])));
				$reply=	cleanFormData(trim($HTTP_POST_VARS['reply']));
				
				$DBList=new PYGLIST('db.php');
				foreach($DBList->list as $record)
				{
					$fields=explode('<>',$record);
					if($id==$fields[0])
					{
						$fields[9]=str_replace("\r\n","<br>",htmlentities($reply));
						$DBList->replace($record,implode("<>",$fields));
					}
				}
				$DBList->destructor();
				
				if(strlen($HTTP_POST_VARS['from'])>0)
				{
					header("Location: view.php?beginningEntry=".cleanFormData(trim($HTTP_POST_VARS['beginningEntry']))."&endingEntry=".cleanFormData(trim($HTTP_POST_VARS['endingEntry'])));
				}
				else
				{
					header("Location: admin.php?display=adminEntries");
				}
			break;
			case 'advDBEdit':
				$HTTP_POST_VARS['data']=cleanFormData(trim($HTTP_POST_VARS['data']));
				setDB($HTTP_POST_VARS['data']);
				header("Location: admin.php?display=advDBEdit");
			break;
			case 'toggleEmailNotification':
				toggleEmailNotification();
				header("Location: admin.php?display=emailAdmin");
			break;
			case 'setAdminEmail':
				$HTTP_POST_VARS['adminEmail']=cleanFormData(trim($HTTP_POST_VARS['adminEmail']));
				setAdminEmail($HTTP_POST_VARS['adminEmail']);
				header("Location: admin.php?display=emailAdmin");
			break;
			case 'setTimeOffset':
				$HTTP_POST_VARS['hrs']=cleanFormData(trim($HTTP_POST_VARS['hrs']));
				setTimeOffset($HTTP_POST_VARS['hrs']);
				header("Location: admin.php?display=signAdmin");
			break;
			case 'setMaxEntryLength':
				$HTTP_POST_VARS['length']=cleanFormData(trim($HTTP_POST_VARS['length']));
				setMaxEntryLength($HTTP_POST_VARS['length']);
				header("Location: admin.php?display=signAdmin");
			break;
			case 'editError':
				$fieldNames[]='errorHeaderTemplate';
				$fieldNames[]='perErrorTemplate';
				$fieldNames[]='errorFooterTemplate';
				for($i=0;$i<count($fieldNames);$i++)
				{
					$HTTP_POST_VARS[$fieldNames[$i]]=
						trim($HTTP_POST_VARS[$fieldNames[$i]])
					;
					$HTTP_POST_VARS[$fieldNames[$i]]=
						cleanFormData($HTTP_POST_VARS[$fieldNames[$i]])
					;
				}
				setErrorHeaderTemplate	($HTTP_POST_VARS[$fieldNames[0]]);
				setPerErrorTemplate	($HTTP_POST_VARS[$fieldNames[1]]);
				setErrorFooterTemplate	($HTTP_POST_VARS[$fieldNames[2]]);
				header("Location: admin.php?display=errorTemplateEditor");
			break;
			case 'editSign':
				setSignTemplate(cleanFormData(trim($HTTP_POST_VARS['signTemplate'])));
				header("Location: admin.php?display=signTemplateEditor");
			break;
			case 'editReplyTemplate':
				setReplyTemplate(cleanFormData(trim($HTTP_POST_VARS['replyTemplate'])));
				header("Location: admin.php?display=replyTemplateEditor");
			break;
			case 'editView':
				$HTTP_POST_VARS['headerTemplate']=
					cleanFormData(trim($HTTP_POST_VARS['headerTemplate']))
				;
				$HTTP_POST_VARS['entryTemplate']=
					cleanFormData(trim($HTTP_POST_VARS['entryTemplate']))
				;
				$HTTP_POST_VARS['footerTemplate']=
					cleanFormData(trim($HTTP_POST_VARS['footerTemplate']))
				;
				setHeaderTemplate($HTTP_POST_VARS['headerTemplate']);
				setEntryTemplate($HTTP_POST_VARS['entryTemplate']);
				setFooterTemplate($HTTP_POST_VARS['footerTemplate']);
				header("Location: admin.php?display=viewTemplateEditor");
			break;
			case 'togglePasswordProtect':
				togglePasswordProtect();
				header("Location: admin.php?display=signAdmin");
			break;			
			case 'toggleAllowHTML':
				toggleAllowHTML();
				header("Location: admin.php?display=viewAdmin");
			break;
			case 'togglePrivatePlaceholder':
				togglePrivatePlaceholder();
				header("Location: admin.php?display=viewAdmin");
			break;
			case 'updateMonth':
				$HTTP_POST_VARS['monthNumber']=
					cleanFormData(trim($HTTP_POST_VARS['monthNumber']))
				;
				$HTTP_POST_VARS['monthName']=
					cleanFormData(trim($HTTP_POST_VARS['monthName']))
				;
				switch($HTTP_POST_VARS['monthNumber'])
				{
					case 1:
						setMonth01($HTTP_POST_VARS['monthName']);
					break;
					case 2:
						setMonth02($HTTP_POST_VARS['monthName']);
					break;
					case 3:
						setMonth03($HTTP_POST_VARS['monthName']);
					break;
					case 4:
						setMonth04($HTTP_POST_VARS['monthName']);
					break;
					case 5:
						setMonth05($HTTP_POST_VARS['monthName']);
					break;
					case 6:
						setMonth06($HTTP_POST_VARS['monthName']);
					break;
					case 7:
						setMonth07($HTTP_POST_VARS['monthName']);
					break;
					case 8:
						setMonth08($HTTP_POST_VARS['monthName']);
					break;
					case 9:
						setMonth09($HTTP_POST_VARS['monthName']);
					break;
					case 10:
						setMonth10($HTTP_POST_VARS['monthName']);
					break;
					case 11:
						setMonth11($HTTP_POST_VARS['monthName']);
					break;
					case 12:
						setMonth12($HTTP_POST_VARS['monthName']);
					break;
				}
				header("Location: admin.php?display=languageAdmin");
			break;
			case 'updateDay':
				$HTTP_POST_VARS['dayNumber']=
					cleanFormData(trim($HTTP_POST_VARS['dayNumber']))
				;
				$HTTP_POST_VARS['dayName']=
					cleanFormData(trim($HTTP_POST_VARS['dayName']))
				;
				switch($HTTP_POST_VARS['dayNumber'])
				{
					case 1:
						setDay1($HTTP_POST_VARS['dayName']);
					break;
					case 2:
						setDay2($HTTP_POST_VARS['dayName']);
					break;
					case 3:
						setDay3($HTTP_POST_VARS['dayName']);
					break;
					case 4:
						setDay4($HTTP_POST_VARS['dayName']);
					break;
					case 5:
						setDay5($HTTP_POST_VARS['dayName']);
					break;
					case 6:
						setDay6($HTTP_POST_VARS['dayName']);
					break;
					case 7:
						setDay7($HTTP_POST_VARS['dayName']);
					break;
				}
				header("Location: admin.php?display=languageAdmin");
			break;
			case 'setRequiredFieldError':
				setRequiredFieldError(
					cleanFormData(trim($HTTP_POST_VARS['requiredFieldError']))
				);
				header("Location: admin.php?display=languageAdmin");
			break;
			case 'setLongEntryError':
				setLongEntryError(
					cleanFormData(trim($HTTP_POST_VARS['longEntryError']))
				);
				header("Location: admin.php?display=languageAdmin");
			break;
			case 'setIPError':
				setIPError(
					cleanFormData(trim($HTTP_POST_VARS['IPError']))
				);
				header("Location: admin.php?display=languageAdmin");
			break;
			case 'setBadWordError':
				setBadWordError(
					cleanFormData(trim($HTTP_POST_VARS['badWordError']))
				);
				header("Location: admin.php?display=languageAdmin");
			break;
			case 'setBadStringError':
				setBadStringError(
					cleanFormData(trim($HTTP_POST_VARS['badStringError']))
				);
				header("Location: admin.php?display=languageAdmin");
			break;
		}
	}
	else
	{
		$menu=
			'<p align="center">'.
			'<b>'.
			'<font size="1" face="Verdana">'.
			'<a href="http://www.purpleyin.com">'.
			$title.
			'</a>'.
			'</font>'.
			'<br>'.
			'<br>'.
			'<font size="1" face=verdana>'
		;
		if(getPasswordProtect()==0)
		{
			$menu.="<a href=\"admin.php?action=togglePasswordProtect\">activate password protection</a> | ";
		}
		$menu.=		
			"<a href=\"admin.php?display=signAdmin\">sign admin</a> | ".
			"<a href=\"admin.php?display=viewAdmin\">view admin</a> | ".
			'<a href="admin.php?display=DBAdmin">database admin</a> | '.
			'<a href="admin.php?display=templateAdmin">template admin</a> | '.
			'<a href="admin.php?display=emailAdmin">email admin</a> | '.
			'<a href="admin.php?display=languageAdmin">language admin</a> | '.
			'<a href="sign.php" target="_blank">sign page</a> | '.
			'<a href="view.php" target="_blank">view page</a>'.
			'</font>'.
			'</b>'.
			'</p>'
		;
		switch($HTTP_GET_VARS['display'])
		{
/***********************************************************************************************
Display view template editor.
***********************************************************************************************/
			case 'viewTemplateEditor':
?>
<html>
<head>
<title><?print$title;?></title>
</head>
<frameset cols="150,*" frameborder=1 framespacing=0>
<frame name="left" target="main" src="admin.php?display=displayLeftView">
<frameset rows="50,*" frameborder=1 framespacing=0>
<frame name="top" target="contents" src="admin.php?display=displayTopView">
<frame name="right" src="admin.php?display=displayRightView">
</frameset>
<noframes>
<body>
<p>This page uses frames, but your browser doesn't support them.</p>
</body>
</noframes>
</frameset>
</html>
<?
			break;
/***********************************************************************************************
Display view template editor top.
***********************************************************************************************/
			case 'displayTopView':
				$entryTagDescriptions['mo']='Numeric representation of the month. For example: 1, 2, ... 12';
				$entryTagDescriptions['modd']='Numeric representation of the month in 2-digit format. For example: 01, 02, ... 12';
				$entryTagDescriptions['month']='Name of month. For example: January';
				$entryTagDescriptions['weekday']='Name of Day. For example: Sunday';
				$entryTagDescriptions['da']='Day of month. For example: 1, 2, ... 31';
				$entryTagDescriptions['dadd']='Day of month in 2-digit format. For example: 01, 02, ... 31';
				$entryTagDescriptions['ye']='Year in 4-digit format. For example: 2001';
				$entryTagDescriptions['yedd']='Year in 2-digit format. For example: 02';
				$entryTagDescriptions['ho']='Hour. For example: 0, 1, ... 23';
				$entryTagDescriptions['hodd']='Hour in 2-digit format. For example: 00, 01, ... 23';
				$entryTagDescriptions['ampm']='am or pm.';
				$entryTagDescriptions['ho12']='Hour in 12-hour format.';
				$entryTagDescriptions['ho12dd']='Hour in 12-hour format (2-digit)';
				$entryTagDescriptions['mi']='Minutes. For example: 0, 1, ... 59';
				$entryTagDescriptions['midd']='Minutes in 2-digit format. For example: 00, 01, ... 59';
				$entryTagDescriptions['se']='Seconds. For example: 0, 1, ... 59';
				$entryTagDescriptions['sedd']='Seconds in 2-digit format. For example: 00, 01, ... 59';
				$entryTagDescriptions['number']='Entry number.';
				$entryTagDescriptions['name']='Name.';
				$entryTagDescriptions['email']='Email.';
				$entryTagDescriptions['emailLinked']='Displays email as a link.';
				$entryTagDescriptions['emailIcon']='Displays email as a linked icon.';
				$entryTagDescriptions['homepage']='Homepage URL.';
				$entryTagDescriptions['homepageLinked']='Displays homepage URL as a link.';
				$entryTagDescriptions['homepageIcon']='Displays homepage as a linked icon.';
				$entryTagDescriptions['homepageIconBlank']='Displays homepage as a linked icon that opens up in _blank window.';
				$entryTagDescriptions['homepageIconTop']='Displays homepage as a linked icon that opens up in same window but on _top.';
				$entryTagDescriptions['location']='Location.';
				$entryTagDescriptions['comments']='Comments.';
				$entryTagDescriptions['ip']='IP address.';
				$entryTagDescriptions['reply']='Reply template with reply text.';
				$entryTagDescriptions['extraField1']='1st extra field.';
				$entryTagDescriptions['extraField2']='2nd extra field.';
				$entryTagDescriptions['extraField3']='3rd extra field.';
				$entryTagDescriptions['extraField4']='4th extra field.';
				$entryTagDescriptions['extraField5']='5th extra field.';
				$entryTagDescriptions['id']='id.';
				$entryTagDescriptions['deleteURL']='URL to delete current entry.';
				$entryTagDescriptions['editURL']='URL to edit current entry.';
				$entryTagDescriptions['replyURL']='URL to reply to current entry.';

				$anywhereTagDescriptions['total']='Total number of entries.';
				$anywhereTagDescriptions['beginning']='Number of first entry currently displayed.';
				$anywhereTagDescriptions['ending']='Number of last entry currently displayed';
				$anywhereTagDescriptions['bNextPage']='Number of first entry on next page.';
				$anywhereTagDescriptions['eNextPage']='Number of last entry on next page.';
				$anywhereTagDescriptions['bPreviousPage']='Number of first entry on previous page.';
				$anywhereTagDescriptions['ePreviousPage']='Number of  last entry on previous page.';
				$anywhereTagDescriptions['nextURL']='URL to next page';
				$anywhereTagDescriptions['prevURL']='URL to previous page';

				$anywhereTags=array_keys($anywhereTagDescriptions);
				$entryTags=array_keys($entryTagDescriptions);
?>
<html>
<head>
<title><?print$title;?></title>
</head>
<body text=#ffffff bgcolor=#000066>
<p><font face=verdana size=1><b>
<?
			if(isset($HTTP_GET_VARS['anywhereTag']))
			{
				print"&lt;".$HTTP_GET_VARS['anywhereTag']."&gt;".' - '.$anywhereTagDescriptions[$HTTP_GET_VARS['anywhereTag']];
			}
			elseif(isset($HTTP_GET_VARS['entryTag']))
			{
				print"&lt;".$HTTP_GET_VARS['entryTag']."&gt;".' - '.$entryTagDescriptions[$HTTP_GET_VARS['entryTag']];
			}
			else
			{
				print$title;
			}
?>
</b></font></p></body></html>
<?
			break;
/***********************************************************************************************
Display view template editor left.
***********************************************************************************************/
			case 'displayLeftView':
				$entryTagDescriptions['mo']='Numeric representation of the month. For example: 1, 2, ... 12';
				$entryTagDescriptions['modd']='Numeric representation of the month in 2-digit format. For example: 01, 02, ... 12';
				$entryTagDescriptions['month']='Name of month. For example: January';
				$entryTagDescriptions['weekday']='Name of Day. For example: Sunday';
				$entryTagDescriptions['da']='Day of month. For example: 1, 2, ... 31';
				$entryTagDescriptions['dadd']='Day of month in 2-digit format. For example: 01, 02, ... 31';
				$entryTagDescriptions['ye']='Year in 4-digit format. For example: 2001';
				$entryTagDescriptions['yedd']='Year in 2-digit format. For example: 02';
				$entryTagDescriptions['ho']='Hour. For example: 0, 1, ... 23';
				$entryTagDescriptions['hodd']='Hour in 2-digit format. For example: 00, 01, ... 23';
				$entryTagDescriptions['ampm']='am or pm.';
				$entryTagDescriptions['ho12']='Hour in 12-hour format.';
				$entryTagDescriptions['ho12dd']='Hour in 12-hour format (2-digit)';
				$entryTagDescriptions['mi']='Minutes. For example: 0, 1, ... 59';
				$entryTagDescriptions['midd']='Minutes in 2-digit format. For example: 00, 01, ... 59';
				$entryTagDescriptions['se']='Seconds. For example: 0, 1, ... 59';
				$entryTagDescriptions['sedd']='Seconds in 2-digit format. For example: 00, 01, ... 59';
				$entryTagDescriptions['number']='Entry number.';
				$entryTagDescriptions['name']='Name.';
				$entryTagDescriptions['email']='Email.';
				$entryTagDescriptions['emailLinked']='Displays email as a link.';
				$entryTagDescriptions['emailIcon']='Displays email as a linked icon.';
				$entryTagDescriptions['homepage']='Homepage URL.';
				$entryTagDescriptions['homepageLinked']='Displays homepage URL as a link.';
				$entryTagDescriptions['homepageIcon']='Displays homepage as a linked icon.';
				$entryTagDescriptions['homepageIconBlank']='Displays homepage as a linked icon that opens up in _blank window.';
				$entryTagDescriptions['homepageIconTop']='Displays homepage as a linked icon that opens up in same window but on _top.';
				$entryTagDescriptions['location']='Location.';
				$entryTagDescriptions['comments']='Comments.';
				$entryTagDescriptions['ip']='IP address.';
				$entryTagDescriptions['reply']='Reply template with reply text.';
				$entryTagDescriptions['extraField1']='1st extra field.';
				$entryTagDescriptions['extraField2']='2nd extra field.';
				$entryTagDescriptions['extraField3']='3rd extra field.';
				$entryTagDescriptions['extraField4']='4th extra field.';
				$entryTagDescriptions['extraField5']='5th extra field.';
				$entryTagDescriptions['id']='id.';
				$entryTagDescriptions['deleteURL']='URL to delete current entry.';
				$entryTagDescriptions['editURL']='URL to edit current entry.';
				$entryTagDescriptions['replyURL']='URL to reply to current entry.';

				$anywhereTagDescriptions['total']='Total number of entries.';
				$anywhereTagDescriptions['beginning']='Number of first entry currently displayed.';
				$anywhereTagDescriptions['ending']='Number of last entry currently displayed';
				$anywhereTagDescriptions['bNextPage']='Number of first entry on next page.';
				$anywhereTagDescriptions['eNextPage']='Number of last entry on next page.';
				$anywhereTagDescriptions['bPreviousPage']='Number of first entry on previous page.';
				$anywhereTagDescriptions['ePreviousPage']='Number of  last entry on previous page.';
				$anywhereTagDescriptions['nextURL']='URL to next page';
				$anywhereTagDescriptions['prevURL']='URL to previous page';
				$anywhereTags=array_keys($anywhereTagDescriptions);
				$entryTags=array_keys($entryTagDescriptions);
?>
<html>
<head>
<title><?print$title;?></title>
<style>
A {text-decoration: none}
A:hover {text-decoration: underline}
</style>
</head>
<body text=#ffffff bgcolor=#000066 link=#ffffff vlink=#ffffff alink=#ffffff>
<p><font face=verdana size=1><b>
anywhere:<br><br>
<?
				for($i=0;$i<count($anywhereTags);$i++)
				{
?>
<a href=admin.php?display=displayTopView&anywhereTag=<? print$anywhereTags[$i]; ?> target=top><? print$anywhereTags[$i]; ?></a><br>
<?
				}
?>
<br>
entry:<br><br>
<?
				for($i=0;$i<count($entryTags);$i++)
				{
?>
<a href=admin.php?display=displayTopView&entryTag=<? print$entryTags[$i]; ?> target=top><? print$entryTags[$i]; ?></a><br>
<?
				}
?>
</b></font>
</p>
</body>
</html>
<?
			break;
/***********************************************************************************************
Display view template editor right.
***********************************************************************************************/
			case 'displayRightView':
				$headerTemplate=htmlentities(getHeaderTemplate());
				$entryTemplate=htmlentities(getEntryTemplate());
				$footerTemplate=htmlentities(getFooterTemplate());
			?>
<html>
<head>
<title><?print$title;?></title>
<style>
A {text-decoration: none}
A:hover {text-decoration: underline}
</style>
</head>
<body text=#ffffff bgcolor=#000066 link=#ffffff vlink=#ffffff alink=#ffffff>
<a href="admin.php?display=templateAdmin" target="_top"><font face=verdana size=1><b>back to admin</b></font></a>
<form method="POST" action="admin.php?action=editView" target="_top">
<p><font face="verdana" size="1"><b>header</b><br>
<textarea rows="8" name="headerTemplate" cols="90" wrap=off>
<? print$headerTemplate; ?>
</textarea></font></p>
<p><font face="verdana" size="1"><b>entry</b><br>
<textarea rows="8" name="entryTemplate" cols="90" wrap=off>
<? print$entryTemplate; ?>
</textarea></font></p>
<p><font face="verdana" size="1"><b>footer</b><br>
<textarea rows="8" name="footerTemplate" cols="90" wrap=off>
<? print$footerTemplate; ?>
</textarea></font></p>
<p><input type="submit" value="save" name="submit" target="_top"><input type="reset" value="reset"></p>
</form>
</body>
</html>
<?
			break;
/***********************************************************************************************
Display sign template editor.
***********************************************************************************************/
			case 'signTemplateEditor':
?>
<html>
<head>
<title><?print$title;?></title>
</head>
<frameset cols="150,*" frameborder=1 framespacing=0>
<frame name="left" target="main" src="admin.php?display=displayLeftSign">
<frameset rows="50,*" frameborder=1 framespacing=0>
<frame name="top" target="contents" src="admin.php?display=displayTopSign">
<frame name="right" src="admin.php?display=displayRightSign">
</frameset>
<noframes>
<body>
<p>This page uses frames, but your browser doesn't support them.</p>
</body>
</noframes>
</frameset>
</html>
<?
			break;
/***********************************************************************************************
Display sign template editor top.
***********************************************************************************************/
			case 'displayTopSign':
				$anywhereTagDescriptions['total']='Total number of entries.';
				$anywhereTags=array_keys($anywhereTagDescriptions);
?>
<html>
<head>
<title><?print$title;?></title>
<style>
A {text-decoration: none}
A:hover {text-decoration: underline}
</style>
</head>
<body text=#ffffff bgcolor=#000066 link=#ffffff vlink=#ffffff alink=#ffffff>
<p><font face=verdana size=1><b>
<?
				if(isset($HTTP_GET_VARS['anywhereTag']))
				{
					print"&lt;".$HTTP_GET_VARS['anywhereTag']."&gt;".' - '.$anywhereTagDescriptions[$HTTP_GET_VARS['anywhereTag']];
				}
				else
				{
					print$title;
				}
?>
</b></font></p></body></html>
<?
			break;
/***********************************************************************************************
Display sign template editor left.
***********************************************************************************************/
			case 'displayLeftSign':
				$anywhereTagDescriptions['total']='Total number of entries.';
				$anywhereTags=array_keys($anywhereTagDescriptions);
?>
<html>
<head>
<title><?print$title;?></title>
<style>
A {text-decoration: none}
A:hover {text-decoration: underline}
</style>
</head>
<body text=#ffffff bgcolor=#000066 link=#ffffff vlink=#ffffff alink=#ffffff>
<p><font face=verdana size=1><b>
anywhere:<br><br>
<?
				for($i=0;$i<count($anywhereTags);$i++)
				{
?>
<a href=admin.php?display=displayTopSign&anywhereTag=<? print$anywhereTags[$i]; ?> target=top><? print$anywhereTags[$i]; ?></a><br>
<?
				}
?>
</b></font>
</p>
</body>
</html>
<?
			break;
/***********************************************************************************************
Display sign template editor right.
***********************************************************************************************/
			case 'displayRightSign':
				$signTemplate=htmlentities(getSignTemplate());
?>
<html>
<head>
<title><?print$title;?></title>
<style>
A {text-decoration: none}
A:hover {text-decoration: underline}
</style>
</head>
<body text=#ffffff bgcolor=#000066 link=#ffffff vlink=#ffffff alink=#ffffff>
<a href="admin.php?display=templateAdmin" target="_top"><font face=verdana size=1><b>back to admin</b></font></a>
<form method="POST" action="admin.php?action=editSign" target="_top">
<p><font face=verdana size=1><b>sign page</b></font><br>
<textarea rows="20" name="signTemplate" cols="90" wrap=off>
<?print$signTemplate;?>
</textarea></p>
<p><input type="submit" value="save" target="_top"><input type="reset" value="reset"></p>
</form>
</body>
</html>
<?
			break;
/***********************************************************************************************
Display reply template editor.
***********************************************************************************************/
			case 'replyTemplateEditor':
?>
<html>
<head>
<title><?print$title;?></title>
</head>
<frameset cols="150,*" frameborder=1 framespacing=0>
<frame name="left" target="main" src="admin.php?display=displayLeftReply">
<frameset rows="50,*" frameborder=1 framespacing=0>
<frame name="top" target="contents" src="admin.php?display=displayTopReply">
<frame name="right" src="admin.php?display=displayRightReply">
</frameset>
<noframes>
<body>
<p>This page uses frames, but your browser doesn't support them.</p>
</body>
</noframes>
</frameset>
</html>
<?
			break;
/***********************************************************************************************
Display reply template editor top.
***********************************************************************************************/
			case 'displayTopReply':
				$anywhereTagDescriptions['reply']='The reply text.';
				$anywhereTags=array_keys($anywhereTagDescriptions);
?>
<html>
<head>
<title><?print$title;?></title>
<style>
A {text-decoration: none}
A:hover {text-decoration: underline}
</style>
</head>
<body text=#ffffff bgcolor=#000066 link=#ffffff vlink=#ffffff alink=#ffffff>
<p><font face=verdana size=1><b>
<?
				if(isset($HTTP_GET_VARS['anywhereTag']))
				{
					print"&lt;".$HTTP_GET_VARS['anywhereTag']."&gt;".' - '.$anywhereTagDescriptions[$HTTP_GET_VARS['anywhereTag']];
				}
				else
				{
					print$title;
				}
?>
</b></font></p></body></html>
<?
			break;
/***********************************************************************************************
Display reply template editor left.
***********************************************************************************************/
			case 'displayLeftReply':
				$anywhereTagDescriptions['reply']='The reply text.';
				$anywhereTags=array_keys($anywhereTagDescriptions);
?>
<html>
<head>
<title><?print$title;?></title>
<style>
A {text-decoration: none}
A:hover {text-decoration: underline}
</style>
</head>
<body text=#ffffff bgcolor=#000066 link=#ffffff vlink=#ffffff alink=#ffffff>
<p><font face=verdana size=1><b>
anywhere:<br><br>
<?
				for($i=0;$i<count($anywhereTags);$i++)
				{
?>
<a href=admin.php?display=displayTopReply&anywhereTag=<? print$anywhereTags[$i]; ?> target=top><? print$anywhereTags[$i]; ?></a><br>
<?
				}
?>
</b></font>
</p>
</body>
</html>
<?
			break;
/***********************************************************************************************
Display reply template editor right.
***********************************************************************************************/
			case 'displayRightReply':
				$replyTemplate=htmlentities(getReplyTemplate());
?>
<html>
<head>
<title><?print$title;?></title>
<style>
A {text-decoration: none}
A:hover {text-decoration: underline}
</style>
</head>
<body text=#ffffff bgcolor=#000066 link=#ffffff vlink=#ffffff alink=#ffffff>
<a href="admin.php?display=templateAdmin" target="_top"><font face=verdana size=1><b>back to admin</b></font></a>
<form method="POST" action="admin.php?action=editReplyTemplate" target="_top">
<p><font face=verdana size=1><b>reply:</b></font><br>
<textarea rows="20" name="replyTemplate" cols="90" wrap=off>
<?print$replyTemplate;?>
</textarea></p>
<p><input type="submit" value="save" target="_top"><input type="reset" value="reset"></p>
</form>
</body>
</html>
<?
			break;
/***********************************************************************************************
Display error template editor.
***********************************************************************************************/
			case 'errorTemplateEditor':
?>
<html>
<head>
<title><?print$title;?></title>
</head>
<frameset cols="150,*" frameborder=1 framespacing=0>
<frame name="left" target="main" src="admin.php?display=displayLeftError">
<frameset rows="50,*" frameborder=1 framespacing=0>
<frame name="top" target="contents" src="admin.php?display=displayTopError">
<frame name="right" src="admin.php?display=displayRightError">
</frameset>
<noframes>
<body>
<p>This page uses frames, but your browser doesn't support them.</p>
</body>
</noframes>
</frameset>
</html>
<?
			break;
/***********************************************************************************************
Display error template editor top.
***********************************************************************************************/
			case 'displayTopError':
				$entryTagDescriptions=array();
				$anywhereTagDescriptions=array();
				$entryTagDescriptions['error']='The error.';
				$anywhereTags=array_keys($anywhereTagDescriptions);
				$entryTags=array_keys($entryTagDescriptions);
?>
<html>
<head>
<title><?print$title;?></title>
<style>
A {text-decoration: none}
A:hover {text-decoration: underline}
</style>
</head>
<body text=#ffffff bgcolor=#000066 link=#ffffff vlink=#ffffff alink=#ffffff>
<p><font face=verdana size=1><b>
<?
				if(isset($HTTP_GET_VARS['anywhereTag']))
				{
					print"&lt;".$HTTP_GET_VARS['anywhereTag']."&gt;".' - '.$anywhereTagDescriptions[$HTTP_GET_VARS['anywhereTag']];
				}
				elseif(isset($HTTP_GET_VARS['entryTag']))
				{
					print"&lt;".$HTTP_GET_VARS['entryTag']."&gt;".' - '.$entryTagDescriptions[$HTTP_GET_VARS['entryTag']];
				}
				else
				{
					print$title;
				}
?>
</b></font></p></body></html>
<?
			break;
/***********************************************************************************************
Display error template editor left.
***********************************************************************************************/
			case 'displayLeftError':
				$entryTagDescriptions=array();
				$anywhereTagDescriptions=array();
				$entryTagDescriptions['error']='The error.';
				$anywhereTags=array_keys($anywhereTagDescriptions);
				$entryTags=array_keys($entryTagDescriptions);
?>
<html>
<head>
<title><?print$title;?></title>
<style>
A {text-decoration: none}
A:hover {text-decoration: underline}
</style>
</head>
<body text=#ffffff bgcolor=#000066 link=#ffffff vlink=#ffffff alink=#ffffff>
<p><font face=verdana size=1><b>
error:<br><br>
<?
				for($i=0;$i<count($entryTags);$i++)
				{
?>
<a href=admin.php?display=displayTopError&entryTag=<?print$entryTags[$i];?> target=top><?print($entryTags[$i]);?></a><br>
<?
				}
?>
</b></font>
</p>
</body>
</html>
<?
			break;
/***********************************************************************************************
Display error template editor right.
***********************************************************************************************/
			case 'displayRightError':
				$errorHeaderTemplate=htmlentities(getErrorHeaderTemplate());
				$perErrorTemplate=htmlentities(getPerErrorTemplate());
				$errorFooterTemplate=htmlentities(getErrorFooterTemplate());

?>
<html>
<head>
<title><?print$title;?></title>
<style>
A {text-decoration: none}
A:hover {text-decoration: underline}
</style>
</head>
<body text=#ffffff bgcolor=#000066 link=#ffffff vlink=#ffffff alink=#ffffff>
<a href="admin.php?display=templateAdmin" target="_top"><font face=verdana size=1><b>back to admin</b></font></a>
<form method="POST" action="admin.php?action=editError" target="_top">
<p><font face="verdana" size="1"><b>header</b><br>
<textarea rows="8" name="errorHeaderTemplate" cols="90" wrap=off>
<?print$errorHeaderTemplate;?>
</textarea></font></p>
<p><font face="verdana" size="1"><b>error</b><br>
<textarea rows="8" name="perErrorTemplate" cols="90" wrap=off>
<?print$perErrorTemplate;?>
</textarea></font></p>
<p><font face="verdana" size="1"><b>footer</b><br>
<textarea rows="8" name="errorFooterTemplate" cols="90" wrap=off>
<?print$errorFooterTemplate;?>
</textarea></font></p>
<p><input type="submit" value="save" name="submit" target="_top"><input type="reset" value="reset"></p>
</form>
</body>
</html>
<?
			break;
/***********************************************************************************************
Display view administration.
***********************************************************************************************/
			case 'viewAdmin':
?>
<html>
<head>
<title><?print$title;?></title>
<style>
A {text-decoration: none}
A:hover {text-decoration: underline}
</style>
</head>
<body bgcolor="#CCCCFF" link="#000066" vlink="#000066" alink="#000066" text="#000066">
<div align="center">
<center>
<?print$menu;?>
<table border="0" cellpadding="5" cellspacing="1" width="700" bgcolor="#000066">
<tr>
<td bgcolor="#FFFFFF">
<p><table border="0" cellpadding="5" cellspacing="0" width="100%" bgcolor="#000066"><tr><td><font face="VERDANA" size="1" color="#ffffff"><b>View Page Administration</b></font></td></tr></table></p>
<table border="0" cellpadding="5" cellspacing="0" width="100%">
<tr>
<td width="50%" valign="top" bgcolor="#CCCCFF">

<p>
<b><font size="1" face="Verdana">entry display order: </font></b>
<b><font face="Arial" size="1"><a href="admin.php?action=toggleEntryOrder">
<?
if(getEntryOrder()==0)
{
	print"reverse chronological";
}
else
{
	print"chronological";
}
?></a></font></b>

<br><br>

<b><font size="1" face="Verdana">span pages: </font></b>
<b><font face="Arial" size="1"><a href="admin.php?action=toggleSpanPages">
<?
if(getSpanPages()==1)
{
	print"on";
}
else
{
	print"off";
}
?>
</a></font></b>

<br><br>

<b><font size="1" face="Verdana">allow html: </font></b>
<b><font face="Arial" size="1"><a href="admin.php?action=toggleAllowHTML">
<?
if(getAllowHTML()==1)
{
	print"on";
}
else
{
	print"off";
}
?>
</a></font></b>

<br><br>

<b><font size="1" face="Verdana">private placeholder: </font></b>
<b><font face="Arial" size="1"><a href="admin.php?action=togglePrivatePlaceholder">
<?
if(getPrivatePlaceholder()==1)
{
	print"on";
}
else
{
	print"off";
}
?>
</a></font></b>

<br><br>

</p>

</td>
<td width="50%" valign="top" bgcolor="#CCCCFF">

<p>
<form method="POST" action="admin.php?action=setEmptyGoTo">
<b><font size="1" face="Verdana">go to when guestbook empty: </font></b>
<b><font face="Arial" size="1"><?print getEmptyGoTo();?></font></b><br>
<input type="text" name="emptyGoTo" size="10">&nbsp;<input type="submit" value="update">
</form>
</p>

<p>
<form method="POST" action="admin.php?action=setMaxWordLength">
<b><font face="Verdana" size="1">max word length (characters): </font></b>
<b><font face="Arial" size="1"><?print getMaxWordLen();?></font></b><br>
<input type="text" name="maxWordLength" size="10">&nbsp;<input type="submit" value="update">
</form>
</p>

<p>
<form method="POST" action="admin.php?action=setEntriesPerPage">
<b><font size="1" face="Verdana">entries per page: </font></b>
<b><font face="Arial" size="1"><?print getEntriesPerPage();?></font></b><br>
<input type="text" name="entriesPerPage" size="10">&nbsp;<input type="submit" value="update">
</form>
</p>

</td>
</tr>
<tr>
<td width="100%" valign="top" colspan="2">

<p>
<b><font size="1" face="Verdana">smilies: </font></b>
<b><font face="Arial" size="1"><a href="admin.php?action=toggleSmilies">
<?
if(getSmiliesEnabled()==1)
{
	print"on";
}
else
{
	print"off";
}
?>
</a></font></b>
</p>

<form method="POST" action="admin.php?action=addSmiley">
<table border="0" cellpadding="1" cellspacing="0">
<tr>
<td width="100"><font face="Verdana" size="1"><b>emoticon</b></font><br><input type="text" name="emoticon" size="10"></td>
<td width="100"><font face="Verdana" size="1"><b>file name</b></font><br><input type="text" name="fileName" size="10"></td>
<td width="100"><font face="Verdana" size="1"><b>advanced</b></font><br><input type="text" name="advanced" size="10"></td>
<td width="100"><font face="Verdana" size="1" color="#ffffff"><b>x</b></font><br><input type="submit" value="add"></td>
</tr>
</table>
</form>
<table border="0" cellpadding="1" cellspacing="0">
<tr>
<td width="100"><font face="Verdana" size="1"><b>emoticon</b></font></td>
<td width="100"><font face="Verdana" size="1"><b>file name</b></font></td>
<td width="100"><font face="Verdana" size="1"><b>advanced</b></font></td>
<td width="100"><font face="Verdana" size="1"><b>image</b></font></td>
<td width="100"><font face="Verdana" size="1"><b>action</b></font></td>
</tr>
<?
$smilies=new PYGLIST('smilies.php');
foreach($smilies->list as $value)
{
	$data=explode('<seperator>',$value);
?>
<tr>
<td><font face="Arial" size="1"><b><? print($data[0]); ?></b></font></td>
<td><font face="Arial" size="1"><b><? print($data[1]); ?></b></font></td>
<td><font face="Arial" size="1"><b><? print($data[2]); ?></b></font></td>
<td>
<?
	if(strlen($data[1])>0)
	{
		print('<img src="'.$data[1].'" border=0>');
	}
?>
</td>
<td><font face="Arial" size="1"><b><a href="admin.php?action=removeSmiley&emoticon=<?print($data[0]);?>&fileName=<?print($data[1]);?>&advanced=<?print($data[2]);?>"><? print"remove"; ?></a></b></font></td>
</tr>
<?
}
$smilies->destructor();
?>
</table>
</td>
</tr>
</table>
</td>
</tr>
</table>
</center>
</div>
</body>
</html>
<?
			break;
/***********************************************************************************************
Display database administration.
***********************************************************************************************/
			case 'DBAdmin':
				?>
<html>
<head>
<title><?print$title;?></title>
<style>
A {text-decoration: none}
A:hover {text-decoration: underline}
</style>
</head>
<body link="#000066" vlink="#000066" alink="#000066" text="#000066" bgcolor="#CCCCFF">
<div align="center">
<center>
<?print$menu;?>
<table border="0" cellpadding="5" cellspacing="1" width="700" bgcolor="#000066">
<tr>
<td bgcolor="#ccccff">
<p><table border="0" cellpadding="5" cellspacing="0" width="100%" bgcolor="#000066"><tr><td><font face="VERDANA" size="1" color="#ffffff"><b>Database Administration</b></font></td></tr></table></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr>
<td>

<p>
<font face="Verdana" size="1"><b><a href="admin.php?display=adminEntries">edit|delete|ban|reply</a></b></font>
<br><br>
<font face="Verdana" size="1"><b><a href="admin.php?display=adminDeleted">restore</a> </b></font>
<br><br>
<font face="Verdana" size="1"><b><a href="admin.php?display=advDBEdit">advanced editor</a></b></font>
<br><br>
</p>

</td>
</tr>
</table>
</td>
</tr>
</table>
</center>
</div>
</body>
</html>
<?
			break;
/***********************************************************************************************
Display language administration.
***********************************************************************************************/
			case 'languageAdmin':
				?>
<html>
<head>
<title><?print$title;?></title>
<style>
A {text-decoration: none}
A:hover {text-decoration: underline}
</style>
</head>
<body link="#000066" vlink="#000066" alink="#000066" text="#000066" bgcolor="#CCCCFF">
<div align="center">
<center>
<?print$menu;?>
<table border="0" cellpadding="5" cellspacing="1" width="700" bgcolor="#000066">
<tr>
<td bgcolor="ccccff">
<p><table border="0" cellpadding="5" cellspacing="0" width="100%" bgcolor="#000066"><tr><td><font face="VERDANA" size="1" color="#ffffff"><b>Language Administration</b></font></td></tr></table></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr>
<td>

<table cellspacing=0 cellpadding=0 border=0>
<tr>

<td valign=top>

<form action="admin.php?action=updateMonth" method=post>
<input type="hidden" name="monthNumber" value="1">
<font face=verdana size=1><b>month 01: <?print getMonth01();?></b></font><br>
<input type="text" name="monthName">
<input type="submit" value="update">
</form>

<form action="admin.php?action=updateMonth" method=post>
<input type="hidden" name="monthNumber" value="2">
<font face=verdana size=1><b>month 02: <?print getMonth02();?></b></font><br>
<input type="text" name="monthName">
<input type="submit" value="update">
</form>

<form action="admin.php?action=updateMonth" method=post>
<input type="hidden" name="monthNumber" value="3">
<font face=verdana size=1><b>month 03: <?print getMonth03();?></b></font><br>
<input type="text" name="monthName">
<input type="submit" value="update">
</form>

<form action="admin.php?action=updateMonth" method=post>
<input type="hidden" name="monthNumber" value="4">
<font face=verdana size=1><b>month 04: <?print getMonth04();?></b></font><br>
<input type="text" name="monthName">
<input type="submit" value="update">
</form>

<form action="admin.php?action=updateMonth" method=post>
<input type="hidden" name="monthNumber" value="5">
<font face=verdana size=1><b>month 05: <?print getMonth05();?></b></font><br>
<input type="text" name="monthName">
<input type="submit" value="update">
</form>

<form action="admin.php?action=updateMonth" method=post>
<input type="hidden" name="monthNumber" value="6">
<font face=verdana size=1><b>month 06: <?print getMonth06();?></b></font><br>
<input type="text" name="monthName">
<input type="submit" value="update">
</form>

<form action="admin.php?action=updateMonth" method=post>
<input type="hidden" name="monthNumber" value="7">
<font face=verdana size=1><b>month 07: <?print getMonth07();?></b></font><br>
<input type="text" name="monthName">
<input type="submit" value="update">
</form>

<form action="admin.php?action=updateMonth" method=post>
<input type="hidden" name="monthNumber" value="8">
<font face=verdana size=1><b>month 08: <?print getMonth08();?></b></font><br>
<input type="text" name="monthName">
<input type="submit" value="update">
</form>

<form action="admin.php?action=updateMonth" method=post>
<input type="hidden" name="monthNumber" value="9">
<font face=verdana size=1><b>month 09: <?print getMonth09();?></b></font><br>
<input type="text" name="monthName">
<input type="submit" value="update">
</form>

<form action="admin.php?action=updateMonth" method=post>
<input type="hidden" name="monthNumber" value="10">
<font face=verdana size=1><b>month 10: <?print getMonth10();?></b></font><br>
<input type="text" name="monthName">
<input type="submit" value="update">
</form>

<form action="admin.php?action=updateMonth" method=post>
<input type="hidden" name="monthNumber" value="11">
<font face=verdana size=1><b>month 11: <?print getMonth11();?></b></font><br>
<input type="text" name="monthName">
<input type="submit" value="update">
</form>

<form action="admin.php?action=updateMonth" method=post>
<input type="hidden" name="monthNumber" value="12">
<font face=verdana size=1><b>month 12: <?print getMonth12();?></b></font><br>
<input type="text" name="monthName">
<input type="submit" value="update">
</form>

</td>

<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>

<td valign=top>

<form action="admin.php?action=updateDay" method=post>
<input type="hidden" name="dayNumber" value="1">
<font face=verdana size=1><b>day 1: <?print getDay1();?></b></font><br>
<input type="text" name="dayName">
<input type="submit" value="update">
</form>

<form action="admin.php?action=updateDay" method=post>
<input type="hidden" name="dayNumber" value="2">
<font face=verdana size=1><b>day 2: <?print getDay2();?></b></font><br>
<input type="text" name="dayName">
<input type="submit" value="update">
</form>

<form action="admin.php?action=updateDay" method=post>
<input type="hidden" name="dayNumber" value="3">
<font face=verdana size=1><b>day 3: <?print getDay3();?></b></font><br>
<input type="text" name="dayName">
<input type="submit" value="update">
</form>

<form action="admin.php?action=updateDay" method=post>
<input type="hidden" name="dayNumber" value="4">
<font face=verdana size=1><b>day 4: <?print getDay4();?></b></font><br>
<input type="text" name="dayName">
<input type="submit" value="update">
</form>

<form action="admin.php?action=updateDay" method=post>
<input type="hidden" name="dayNumber" value="5">
<font face=verdana size=1><b>day 5: <?print getDay5();?></b></font><br>
<input type="text" name="dayName">
<input type="submit" value="update">
</form>

<form action="admin.php?action=updateDay" method=post>
<input type="hidden" name="dayNumber" value="6">
<font face=verdana size=1><b>day 6: <?print getDay6();?></b></font><br>
<input type="text" name="dayName">
<input type="submit" value="update">
</form>

<form action="admin.php?action=updateDay" method=post>
<input type="hidden" name="dayNumber" value="7">
<font face=verdana size=1><b>day 7: <?print getDay7();?></b></font><br>
<input type="text" name="dayName">
<input type="submit" value="update">
</form>

<form action="admin.php?action=setRequiredFieldError" method=post>
<font face=verdana size=1><b>required field error message:</b></font><br>
<input type="text" name="requiredFieldError" value="<?print getRequiredFieldError();?>" size=55>
<input type="submit" value="update">
</form>

<form action="admin.php?action=setLongEntryError" method=post>
<font face=verdana size=1><b>long entry error message:</b></font><br>
<input type="text" name="longEntryError" value="<?print getLongEntryError();?>" size=55>
<input type="submit" value="update">
</form>

<form action="admin.php?action=setIPError" method=post>
<font face=verdana size=1><b>banned i.p. error message:</b></font><br>
<input type="text" name="IPError" value="<?print getIPError();?>" size=55>
<input type="submit" value="update">
</form>

<form action="admin.php?action=setBadWordError" method=post>
<font face=verdana size=1><b>bad word error message:</b></font><br>
<input type="text" name="badWordError" value="<?print getBadWordError();?>" size=55>
<input type="submit" value="update">
</form>

<form action="admin.php?action=setBadStringError" method=post>
<font face=verdana size=1><b>bad string error message:</b></font><br>
<input type="text" name="badStringError" value="<?print getBadStringError();?>" size=55>
<input type="submit" value="update">
</form>

</td>

</td>
</tr>
</table>
</td>
</tr>
</table>
</center>
</div>
</body>
</html>
<?
			break;
/***********************************************************************************************
Display template administration.
***********************************************************************************************/
			case 'templateAdmin':
				?>
<html>
<head>
<title><?print$title;?></title>
<style>
A {text-decoration: none}
A:hover {text-decoration: underline}
</style>
</head>
<body link="#000066" vlink="#000066" alink="#000066" text="#000066" bgcolor="#CCCCFF">
<div align="center">
<center>
<?print$menu;?>
<table border="0" cellpadding="5" cellspacing="1" width="700" bgcolor="#000066">
<tr>
<td bgcolor="#ccccff">
<p><table border="0" cellpadding="5" cellspacing="0" width="100%" bgcolor="#000066"><tr><td><font face="VERDANA" size="1" color="#ffffff"><b>Template Administration</b></font></td></tr></table></p>
<div>
<table border="0" cellpadding="0" cellspacing="0">
<tr>
<td>

<p>
<font face="Verdana" size="1"><b><a href="admin.php?display=viewTemplateEditor">view</a></b></font>
<br><br>
<font face="Verdana" size="1"><b><a href="admin.php?display=signTemplateEditor">sign</a></b></font>
<br><br>
<font face="Verdana" size="1"><b><a href="admin.php?display=errorTemplateEditor">error</a></b></font>
<br><br>
<font face="Verdana" size="1"><b><a href="admin.php?display=replyTemplateEditor">reply</a></b></font>
<br><br>
</p>

</td>
</tr>
</table>
</td>
</tr>
</table>
</center>
</div>
</body>
</html>
<?
			break;
/***********************************************************************************************
Display entry administration.
***********************************************************************************************/
			case 'adminEntries':
				if(getEntryOrder()==1)
				{
					$sortedRows=getSortedDB(0,1);
				}
				else
				{
					$sortedRows=getSortedDB(0,0);
				}
				?>
<html>
<head>
<title><?print$title;?></title>
<style>
A {text-decoration: none}
A:hover {text-decoration: underline}
</style>
</head>
<body text="#000066" bgcolor="#CCCCFF" link="#000066" vlink="#000066" alink="#000066">
<div align="center">
<center>
<?print$menu;?>
<?
				$counter=1;
				foreach($sortedRows as $row)
				{
					$data=explode('<>',$row);
					?>
<table border="0" cellpadding="0" cellspacing="1" width="700" bgcolor="#000066">
<tr>
<td bgcolor="#ffffff">
<table border="0" cellpadding="0" cellspacing="5" width="100%">
<tr>
<td width="75%" valign="top">
<table border="0" cellpadding="0" cellspacing="0">
<tr>
<td valign="top" width=100><font face="Verdana" size="1"><b><?print$counter++;?></b></font></td>
<td valign="top">&nbsp;</td>
<td valign="top">&nbsp;</td>
</tr>
<tr>
<td valign="top"><font face="Verdana" size="1"><b>I.P.:</b></font></td>
<td valign="top">&nbsp;</td>
<td valign="top"><font face="Arial" size="1"><b><?print$data[7];?></b></font></td>
</tr>
<tr>
<td valign="top"><font face="Verdana" size="1"><b>Date:</b></font></td>
<td valign="top">&nbsp;</td>
<td valign="top"><font face="Arial" size="1"><b><?print$data[1];?></b></font></td>
</tr>
<tr>
<td valign="top"><font face="Verdana" size="1"><b>Name:</b></font></td>
<td valign="top">&nbsp;</td>
<td valign="top"><font face="Arial" size="1"><b><?print$data[2];?></b></font></td>
</tr>
<tr>
<td valign="top"><font face="Verdana" size="1"><b>Email:</b></font></td>
<td valign="top">&nbsp;</td>
<td valign="top"><font face="Arial" size="1"><b><?print$data[3];?></b></font></td>
</tr>
<tr>
<td valign="top"><font face="Verdana" size="1"><b>Homepage:</b></font></td>
<td valign="top">&nbsp;</td>
<td valign="top"><font face="Arial" size="1"><b><?print$data[4];?></b></font></td>
</tr>
<tr>
<td valign="top"><font face="Verdana" size="1"><b>Location:</b></font></td>
<td valign="top">&nbsp;</td>
<td valign="top"><font face="Arial" size="1"><b><?print$data[5];?></b></font></td>
</tr>
<tr>
<td valign="top"><font face="Verdana" size="1"><b>Comments:</b></font></td>
<td valign="top">&nbsp;</td>
<td valign="top"><font face="Arial" size="1"><b><?print$data[6];?></b></font></td>
</tr>
<tr>
<td valign="top"><font face="Verdana" size="1"><b>Admin Reply:</b></font></td>
<td valign="top">&nbsp;</td>
<td valign="top"><font face="Arial" size="1"><b><?print$data[9];?></b></font></td>
</tr>
<tr>
<td valign="top"><font face="Verdana" size="1"><b>Private?</b></font></td>
<td valign="top">&nbsp;</td>
<td valign="top"><font face="Arial" size="1"><b><?if($data[8]==1)print"yes";else print"no";?></b></font></td>
</tr>
<tr>
<td valign="top"><font face="Verdana" size="1"><b>Extra Field 1:</b></font></td>
<td valign="top">&nbsp;</td>
<td valign="top"><font face="Arial" size="1"><b><?print$data[10];?></b></font></td>
</tr>
<tr>
<td valign="top"><font face="Verdana" size="1"><b>Extra Field 2:</b></font></td>
<td valign="top">&nbsp;</td>
<td valign="top"><font face="Arial" size="1"><b><?print$data[11];?></b></font></td>
</tr>
<tr>
<td valign="top"><font face="Verdana" size="1"><b>Extra Field 3:</b></font></td>
<td valign="top">&nbsp;</td>
<td valign="top"><font face="Arial" size="1"><b><?print$data[12];?></b></font></td>
</tr>
<tr>
<td valign="top"><font face="Verdana" size="1"><b>Extra Field 4:</b></font></td>
<td valign="top">&nbsp;</td>
<td valign="top"><font face="Arial" size="1"><b><?print$data[13];?></b></font></td>
</tr>
<tr>
<td valign="top"><font face="Verdana" size="1"><b>Extra Field 5:</b></font></td>
<td valign="top">&nbsp;</td>
<td valign="top"><font face="Arial" size="1"><b><?print$data[14];?></b></font></td>
</tr>
</table>
</td>
<td width="25%" valign="top">
<p>
<font face="Verdana" size="1"><b><a href="admin.php?display=replyForm&id=<?print$data[0];?>">Reply</a></b></font><br><br>
<font face="Verdana" size="1"><b><a href="admin.php?display=editEntryForm&id=<?print$data[0];?>">Edit</a></b></font><br><br>
<font face="Verdana" size="1"><b><a href="admin.php?action=deleteEntry&id=<?print$data[0];?>">Delete</a></b></font><br><br>
<font face="Verdana" size="1"><b>
<?
$banned=new PYGLIST('banned.php');
if($banned->search($data[7])==1)
{
?>
<a href="admin.php?action=unban&ip=<?print$data[7];?>&from=adminEntries">Un-ban I.P.</a>
<?
}
else
{
?>
<a href="admin.php?action=ban&ip=<?print$data[7];?>&from=adminEntries">Ban I.P.</a>
<?
}
$banned->destructor();
?>
</b></font>
</p>
</td>
</tr>
</table>
</td>
</tr>
</table>
&nbsp;
<?
				}/*foreach($sortedRows as $row)*/
?>
</center>
</div>
</body>
</html>
<?
			break;
/***********************************************************************************************
Display private entry.
***********************************************************************************************/
			case 'privateEntry':
				$id=cleanFormData(trim($HTTP_GET_VARS['id']));
				$DBList=new PYGLIST('db.php');
				foreach($DBList->list as $row)
				{
					$data=explode('<>',$row);
					if($data[0]==$id)
					{
?>
<html>
<head>
<title><?print$title;?></title>
<style>
A {text-decoration: none}
A:hover {text-decoration: underline}
</style>
</head>
<body text="#000066" bgcolor="#CCCCFF" link="#000066" vlink="#000066" alink="#000066">
<div align="center">
<center>
<?print$menu;?>
<table border="0" cellpadding="0" cellspacing="1" width="700" bgcolor="#000066">
<tr>
<td bgcolor="#ccccff">
<table border="0" cellpadding="0" cellspacing="5" width="100%">
<tr>
<td width="100%" valign="top">
<p>
<table border="0" cellpadding="5" cellspacing="0" width="100%">
<tr><td bgcolor=#000066><font face=verdana size=1 color=#ffffff><b>Viewing Private Entry</b></font></td><td align=right bgcolor=#000066><a href="view.php?beginningEntry=<?print cleanFormData(trim($HTTP_GET_VARS['beginningEntry']));?>&endingEntry=<?print cleanFormData(trim($HTTP_GET_VARS['endingEntry']));?>"><b><font color=#ffffff face=verdana size=1>[ back to view ]</font></b></a></td></tr>
</table>
</p>
<p>
<table border="0" cellpadding="0" cellspacing="0">
<tr>
<td valign="top" width=100><font face="Verdana" size="1"><b>I.P.:</b></font></td>
<td valign="top">&nbsp;</td>
<td valign="top"><font face="Arial" size="1"><b><?print$data[7];?></b></font></td>
</tr>
<tr>
<td valign="top"><font face="Verdana" size="1"><b>Date:</b></font></td>
<td valign="top">&nbsp;</td>
<td valign="top"><font face="Arial" size="1"><b><?print$data[1];?></b></font></td>
</tr>
<tr>
<td valign="top"><font face="Verdana" size="1"><b>Name:</b></font></td>
<td valign="top">&nbsp;</td>
<td valign="top"><font face="Arial" size="1"><b><?print$data[2];?></b></font></td>
</tr>
<tr>
<td valign="top"><font face="Verdana" size="1"><b>Email:</b></font></td>
<td valign="top">&nbsp;</td>
<td valign="top"><font face="Arial" size="1"><b><?print$data[3];?></b></font></td>
</tr>
<tr>
<td valign="top"><font face="Verdana" size="1"><b>Homepage:</b></font></td>
<td valign="top">&nbsp;</td>
<td valign="top"><font face="Arial" size="1"><b><?print$data[4];?></b></font></td>
</tr>
<tr>
<td valign="top"><font face="Verdana" size="1"><b>Location:</b></font></td>
<td valign="top">&nbsp;</td>
<td valign="top"><font face="Arial" size="1"><b><?print$data[5];?></b></font></td>
</tr>
<tr>
<td valign="top"><font face="Verdana" size="1"><b>Comments:</b></font></td>
<td valign="top">&nbsp;</td>
<td valign="top"><font face="Arial" size="1"><b><?print$data[6];?></b></font></td>
</tr>
<tr>
<td valign="top"><font face="Verdana" size="1"><b>Admin Reply:</b></font></td>
<td valign="top">&nbsp;</td>
<td valign="top"><font face="Arial" size="1"><b><?print$data[9];?></b></font></td>
</tr>
<tr>
<td valign="top"><font face="Verdana" size="1"><b>Private?</b></font></td>
<td valign="top">&nbsp;</td>
<td valign="top"><font face="Arial" size="1"><b><?if($data[8]==1)print"yes";else print"no";?></b></font></td>
</tr>
<tr>
<td valign="top"><font face="Verdana" size="1"><b>Extra Field 1:</b></font></td>
<td valign="top">&nbsp;</td>
<td valign="top"><font face="Arial" size="1"><b><?print$data[10];?></b></font></td>
</tr>
<tr>
<td valign="top"><font face="Verdana" size="1"><b>Extra Field 2:</b></font></td>
<td valign="top">&nbsp;</td>
<td valign="top"><font face="Arial" size="1"><b><?print$data[11];?></b></font></td>
</tr>
<tr>
<td valign="top"><font face="Verdana" size="1"><b>Extra Field 3:</b></font></td>
<td valign="top">&nbsp;</td>
<td valign="top"><font face="Arial" size="1"><b><?print$data[12];?></b></font></td>
</tr>
<tr>
<td valign="top"><font face="Verdana" size="1"><b>Extra Field 4:</b></font></td>
<td valign="top">&nbsp;</td>
<td valign="top"><font face="Arial" size="1"><b><?print$data[13];?></b></font></td>
</tr>
<tr>
<td valign="top"><font face="Verdana" size="1"><b>Extra Field 5:</b></font></td>
<td valign="top">&nbsp;</td>
<td valign="top"><font face="Arial" size="1"><b><?print$data[14];?></b></font></td>
</tr>
</table>
</p>
<p>
<table border="0" cellpadding="5" cellspacing="0" width="100%">
<tr><td bgcolor=#000066><font face=verdana size=1 color=#ffffff><b>Viewing Private Entry</b></font></td><td align=right bgcolor=#000066><a href="view.php?beginningEntry=<?print cleanFormData(trim($HTTP_GET_VARS['beginningEntry']));?>&endingEntry=<?print cleanFormData(trim($HTTP_GET_VARS['endingEntry']));?>"><b><font color=#ffffff face=verdana size=1>[ back to view ]</font></b></a></td></tr>
</table>
</p>
</td>
</tr>
</table>
</td>
</tr>
</table>
</center>
</div>
</body>
</html>
<?
					}
				}
				$DBList->destructor();
			break;
/***********************************************************************************************
Display deleted entry administration.
***********************************************************************************************/
			case 'adminDeleted':
				if(getEntryOrder()==1)
				{
					$sortedRows=getSortedDB(1,1);
				}
				else
				{
					$sortedRows=getSortedDB(1,0);
				}
				?>
<html>
<head>
<title><?print$title;?></title>
<style>
A {text-decoration: none}
A:hover {text-decoration: underline}
</style>
</head>
<body bgcolor="#CCCCFF" link="#000066" vlink="#000066" alink="#000066" text="#000066">
<div align="center">
<center>
<?print$menu;?>
<?
				$counter=1;
				foreach($sortedRows as $row)
				{
					$data=explode('<>',$row);
					?>
<table border="0" cellpadding="0" cellspacing="1" width="700" bgcolor="#000066">
<tr>
<td bgcolor="#FFFFFF">
<table border="0" cellpadding="0" cellspacing="5" width="100%">
<tr>
<td width="75%" valign="top">
<table border="0" cellpadding="0" cellspacing="0">
<tr>
<td valign="top" width=100><font face="Verdana" size="1"><b><?print$counter++;?></b></font></td>
<td valign="top">&nbsp;</td>
<td valign="top">&nbsp;</td>
</tr>
<tr>
<td valign="top"><font face="Verdana" size="1"><b>I.P.:</b></font></td>
<td valign="top">&nbsp;</td>
<td valign="top"><font face="Arial" size="1"><b><?print$data[7];?></b></font></td>
</tr>
<tr>
<td valign="top"><font face="Verdana" size="1"><b>Date:</b></font></td>
<td valign="top">&nbsp;</td>
<td valign="top"><font face="Arial" size="1"><b><?print$data[1];?></b></font></td>
</tr>
<tr>
<td valign="top"><font face="Verdana" size="1"><b>Name:</b></font></td>
<td valign="top">&nbsp;</td>
<td valign="top"><font face="Arial" size="1"><b><?print$data[2];?></b></font></td>
</tr>
<tr>
<td valign="top"><font face="Verdana" size="1"><b>Email:</b></font></td>
<td valign="top">&nbsp;</td>
<td valign="top"><font face="Arial" size="1"><b><?print$data[3];?></b></font></td>
</tr>
<tr>
<td valign="top"><font face="Verdana" size="1"><b>Homepage:</b></font></td>
<td valign="top">&nbsp;</td>
<td valign="top"><font face="Arial" size="1"><b><?print$data[4];?></b></font></td>
</tr>
<tr>
<td valign="top"><font face="Verdana" size="1"><b>Location:</b></font></td>
<td valign="top">&nbsp;</td>
<td valign="top"><font face="Arial" size="1"><b><?print$data[5];?></b></font></td>
</tr>
<tr>
<td valign="top"><font face="Verdana" size="1"><b>Comments:</b></font></td>
<td valign="top">&nbsp;</td>
<td valign="top"><font face="Arial" size="1"><b><?print$data[6];?></b></font></td>
</tr>
<tr>
<td valign="top"><font face="Verdana" size="1"><b>Admin Reply:</b></font></td>
<td valign="top">&nbsp;</td>
<td valign="top"><font face="Arial" size="1"><b><?print$data[9];?></b></font></td>
</tr>
<tr>
<td valign="top"><font face="Verdana" size="1"><b>Private?</b></font></td>
<td valign="top">&nbsp;</td>
<td valign="top"><font face="Arial" size="1"><b><?if($data[8]==1)print"yes";else print"no";?></b></font></td>
</tr>
<tr>
<td valign="top"><font face="Verdana" size="1"><b>Extra Field 1:</b></font></td>
<td valign="top">&nbsp;</td>
<td valign="top"><font face="Arial" size="1"><b><?print$data[10];?></b></font></td>
</tr>
<tr>
<td valign="top"><font face="Verdana" size="1"><b>Extra Field 2:</b></font></td>
<td valign="top">&nbsp;</td>
<td valign="top"><font face="Arial" size="1"><b><?print$data[11];?></b></font></td>
</tr>
<tr>
<td valign="top"><font face="Verdana" size="1"><b>Extra Field 3:</b></font></td>
<td valign="top">&nbsp;</td>
<td valign="top"><font face="Arial" size="1"><b><?print$data[12];?></b></font></td>
</tr>
<tr>
<td valign="top"><font face="Verdana" size="1"><b>Extra Field 4:</b></font></td>
<td valign="top">&nbsp;</td>
<td valign="top"><font face="Arial" size="1"><b><?print$data[13];?></b></font></td>
</tr>
<tr>
<td valign="top"><font face="Verdana" size="1"><b>Extra Field 5:</b></font></td>
<td valign="top">&nbsp;</td>
<td valign="top"><font face="Arial" size="1"><b><?print$data[14];?></b></font></td>
</tr>
</table>
</td>
<td width="25%" valign="top">
<font face="Verdana" size="1"><b><a href="admin.php?action=restore&id=<?print$data[0];?>">Restore</a></b></font>
<p><font face="Verdana" size="1"><b><a href="admin.php?action=permanentlyDeleteEntry&id=<?print$data[0];?>">Permanent Delete</a></b></font></p>
<font face="Verdana" size="1"><b>
<?
$banned=new PYGLIST('banned.php');
if($banned->search($data[7])==1)
{
?>
<a href="admin.php?action=unban&ip=<?print$data[7];?>&from=adminDeleted">Un-ban I.P.</a>
<?
}
else
{
?>
<a href="admin.php?action=ban&ip=<?print$data[7];?>&from=adminDeleted">Ban I.P.</a>
<?
$banned->destructor();
}
?>
</b></font>
</td>
</tr>
</table>
</td>
</tr>
</table>
&nbsp;
<?
				}/*foreach($sortedRows as $row)*/
?>
</center>
</div>
</body>
</html>
<?
			break;
/***********************************************************************************************
Display edit entry form.
***********************************************************************************************/
			case 'editEntryForm':
				$id=cleanFormData(trim($HTTP_GET_VARS['id']));
				if(isset($HTTP_GET_VARS['from']))
				{
					$from=cleanFormData(trim($HTTP_GET_VARS['from']));
				}
				else
				{
					$from="";
				}
				if(isset($HTTP_GET_VARS['beginningEntry']))
				{
					$beginningEntry=cleanFormData(trim($HTTP_GET_VARS['beginningEntry']));
				}
				else
				{
					$beginningEntry="";
				}
				if(isset($HTTP_GET_VARS['endingEntry']))
				{
					$endingEntry=cleanFormData(trim($HTTP_GET_VARS['endingEntry']));
				}
				else
				{
					$endingEntry="";
				}
				$DB=new PYGLIST('db.php');
				foreach($DB->list as $row)
				{
					$data=explode('<>',$row);
					if($data[0]==$id)
					{
						?>
<html>
<head>
<title><?print$title;?></title>
<style>
A {text-decoration: none}
A:hover {text-decoration: underline}
</style>
</head>
<body text="#000066" bgcolor="#CCCCFF" link="#000066" vlink="#000066" alink="#000066">
<div align="center">
<center>
<?print$menu;?>
<table border="0" cellpadding="5" cellspacing="1" width="700" bgcolor="#000066">
<tr>
<td bgcolor="#FFFFFF">
<form method="POST" action="admin.php?action=editEntry">
<p>
<font face="Verdana" size="1"><b>
I.P.<br>
<input type="text" name="ip" size="20" value="<?print$data[7];?>">
<input type="hidden" name="id" value="<?print$data[0];?>">
<input type="hidden" name="from" value="<?print$from;?>">
<input type="hidden" name="beginningEntry" value="<?print$beginningEntry;?>">
<input type="hidden" name="endingEntry" value="<?print$endingEntry;?>">
</b></font></p>
<p><font face="Verdana" size="1"><b>
<select size="1" name="month">
<?
$timeData=explode('.',$data[1]);
$month=$timeData[0];
$months=array(
	getMonth01(),
	getMonth02(),
	getMonth03(),
	getMonth04(),
	getMonth05(),
	getMonth06(),
	getMonth07(),
	getMonth08(),
	getMonth09(),
	getMonth10(),
	getMonth11(),
	getMonth12()
);
$daysOfWeek=array(
	getDay1(),
	getDay2(),
	getDay3(),
	getDay4(),
	getDay5(),
	getDay6(),
	getDay7()
);
for($i=0;$i<count($months);$i++)
{
	if($i+1==$month)
	{
		print('<option selected value="'.$months[$i].'">'.$months[$i].'</option>'."\r\n");
	}
	else
	{
		print('<option value="'.$months[$i].'">'.$months[$i].'</option>'."\r\n");
	}
}
?>
</select>
<select size="1" name="dayOfWeek">
<?
$dayOfWeek=$timeData[1];
for($i=0;$i<count($daysOfWeek);$i++)
{
	if($i==$dayOfWeek)
	{
		print('<option selected value="'.$daysOfWeek[$i].'">'.$daysOfWeek[$i].'</option>'."\r\n");
	}
	else
	{
		print('<option value="'.$daysOfWeek[$i].'">'.$daysOfWeek[$i].'</option>'."\r\n");
	}
}
?>
</select>
</b></font></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr>
<td><font face="Verdana" size="1"><b>Day of Month</b></font></td>
<td>&nbsp;</td>
<td><input type="text" name="dayOfMonth" size="2" value=<?print$timeData[2];?>></td>
</tr>
<tr>
<td><font face="Verdana" size="1"><b>Year (4-digit)</b></font></td>
<td>&nbsp;</td>
<td><input type="text" name="year" size="2" value=<?print$timeData[3];?>></td>
</tr>
<tr>
<td><font face="Verdana" size="1"><b>Hour</b></font></td>
<td>&nbsp;</td>
<td><input type="text" name="hour" size="2" value=<?print$timeData[4];?>></td>
</tr>
<tr>
<td><font face="Verdana" size="1"><b>Minute</b></font></td>
<td>&nbsp;</td>
<td><input type="text" name="minute" size="2" value=<?print$timeData[5];?>></td>
</tr>
<tr>
<td><font face="Verdana" size="1"><b>Second</b></font></td>
<td>&nbsp;</td>
<td><input type="text" name="second" size="2" value=<?print$timeData[6];?>></td>
</tr>
</table>
<p><font face="Verdana" size="1"><b>Name<br>
<input type="text" name="name" size="20" value="<?print$data[2];?>"></b></font></p>
<p><font face="Verdana" size="1"><b>Email<br>
<input type="text" name="email" size="20" value="<?print$data[3];?>"></b></font></p>
<p><font face="Verdana" size="1"><b>Homepage<br>
<input type="text" name="homepage" size="20" value="<?print$data[4];?>"></b></font></p>
<p><font face="Verdana" size="1"><b>Location<br>
<input type="text" name="location" size="20" value="<?print$data[5];?>"></b></font></p>
<p><font face="Verdana" size="1"><b>Comments<br>
<textarea rows="4" name="comments" cols="40" wrap=off>
<?print str_replace('<br>',"\r\n",$data[6]);?>
</textarea></b></font></p>
<p><font face="Verdana" size="1"><b>Admin Reply<br>
<textarea rows="4" name="reply" cols="40" wrap=off>
<?print str_replace('<br>',"\r\n",$data[9]);?>
</textarea></b></font></p>
<p><font face="Verdana" size="1"><b>Private? <input type="checkbox" name="private" value="1" <?if($data[8]==1)print"checked";?>></b></font></p>
<p><font face="Verdana" size="1"><b>Extra Field 1<br>
<textarea rows="2" name="extraField1" cols="40" wrap=off>
<?print str_replace('<br>',"\r\n",$data[10]);?>
</textarea></b></font></p>
<p><font face="Verdana" size="1"><b>Extra Field 2<br>
<textarea rows="2" name="extraField2" cols="40" wrap=off>
<?print str_replace('<br>',"\r\n",$data[11]);?>
</textarea></b></font></p>
<p><font face="Verdana" size="1"><b>Extra Field 3<br>
<textarea rows="2" name="extraField3" cols="40" wrap=off>
<?print str_replace('<br>',"\r\n",$data[12]);?>
</textarea></b></font></p>
<p><font face="Verdana" size="1"><b>Extra Field 4<br>
<textarea rows="2" name="extraField4" cols="40" wrap=off>
<?print str_replace('<br>',"\r\n",$data[13]);?>
</textarea></b></font></p>
<p><font face="Verdana" size="1"><b>Extra Field 5<br>
<textarea rows="2" name="extraField5" cols="40" wrap=off>
<?print str_replace('<br>',"\r\n",$data[14]);?>
</textarea></b></font></p>
<p><font face="Verdana" size="1"><b>
<input type="submit" value="save"></b></font></p>
</form>
</td>
</tr>
</table>
</center>
</div>
</body>
</html>
<?
					}/*if*/
				}/*foreach*/
				$DB->destructor();
			break;
/***********************************************************************************************
Display reply form.
***********************************************************************************************/
			case 'replyForm':
				$id=cleanFormData(trim($HTTP_GET_VARS['id']));
				if(isset($HTTP_GET_VARS['from']))
				{
					$from=cleanFormData(trim($HTTP_GET_VARS['from']));
				}
				else
				{
					$from="";
				}
				if(isset($HTTP_GET_VARS['beginningEntry']))
				{
					$beginningEntry=cleanFormData(trim($HTTP_GET_VARS['beginningEntry']));
				}
				else
				{
					$beginningEntry="";
				}
				if(isset($HTTP_GET_VARS['endingEntry']))
				{
					$endingEntry=cleanFormData(trim($HTTP_GET_VARS['endingEntry']));
				}
				else
				{
					$endingEntry="";
				}
				$DB=new PYGLIST('db.php');
				foreach($DB->list as $row)
				{
					$data=explode('<>',$row);
					if($data[0]==$id)
					{
						?>
<html>
<head>
<title><?print$title;?></title>
<style>
A {text-decoration: none}
A:hover {text-decoration: underline}
</style>
</head>
<body text="#000066" bgcolor="#CCCCFF" link="#000066" vlink="#000066" alink="#000066">
<div align="center">
<center>
<?print$menu;?>
<table border="0" cellpadding="5" cellspacing="1" width="700" bgcolor="#000066">
<tr>
<td bgcolor="#FFFFFF">
<form method="POST" action="admin.php?action=reply">
<input type="hidden" name="id" value="<?print$data[0];?>">
<input type="hidden" name="from" value="<?print$from;?>">
<input type="hidden" name="beginningEntry" value="<?print$beginningEntry;?>">
<input type="hidden" name="endingEntry" value="<?print$endingEntry;?>">
<p><font face="Verdana" size="1"><b>Admin Reply<br>
<textarea rows="4" name="reply" cols="40" wrap=off>
<?print str_replace('<br>',"\r\n",$data[9]);?>
</textarea></b></font></p>
<p><font face="Verdana" size="1"><b><input type="submit" value="save"></b></font></p>
</form>
</td>
</tr>
</table>
</center>
</div>
</body>
</html>
<?
					}/*if*/
				}/*foreach*/
				$DB->destructor();
			break;
/***********************************************************************************************
Display advance database edit form.
***********************************************************************************************/
			case 'advDBEdit':
				?>
<html>
<head>
<title><?print$title;?></title>
<style>
A {text-decoration: none}
A:hover {text-decoration: underline}
</style>
</head>
<body link="#000066" vlink="#000066" alink="#000066" text="#000066" bgcolor="#CCCCFF">
<div align="center">
<center>
<?print$menu;?>
<table border="0" cellpadding="5" cellspacing="1" width="700" bgcolor="#000066">
<tr>
<td>
<p><b><font face=verdana size=1 color=#ffffff>
This form is for advanced database editing. Do not use unless you know what you are doing!
</font></b>
</p>
<form method="POST" action="admin.php?action=advDBEdit">
<p>
<textarea rows="20" name="data" cols="80" wrap=off>
<?
$DB=new PYGLIST('db.php');
foreach($DB->list as $row)
{
	print htmlentities($row)."\r\n";
}
$DB->destructor();
?>
</textarea></p>
<input type="submit" value="save">
</form>
</td>
</tr>
</table>
</center>
</div>
</body>
</html>
<?
			break;
/***********************************************************************************************
Display email administration.
***********************************************************************************************/
			case 'emailAdmin':
?>
<html>
<head>
<title><?print$title;?></title>
<style>
A {text-decoration: none}
A:hover {text-decoration: underline}
</style>
</head>
<body link="#000066" vlink="#000066" alink="#000066" text="#000066" bgcolor="#CCCCFF">
<div align="center">
<center>
<?print$menu;?>
<table border="0" cellpadding="5" cellspacing="1" width="700" bgcolor="#000066" bordercolor="#111111">
<tr>
<td bgcolor="#ccccff">
<p><table border="0" cellpadding="5" cellspacing="0" width="100%" bgcolor="#000066"><tr><td><font face="VERDANA" size="1" color="#ffffff"><b>Email Administration</b></font></td></tr></table></p>
<b><font size="1" face="Verdana">email notify (new entries): </font>
<font face="Arial" size="1">
<?
if(getEmailNotification()==1)
{
	print('<a href="admin.php?action=toggleEmailNotification">on</a>');
}
else
{
	print('<a href="admin.php?action=toggleEmailNotification">off</a>');
}
?>
</font></b>
<form method="POST" action="admin.php?action=setAdminEmail">
<p><b><font face="Verdana" size="1">email: </font></b>
<b><font face="Arial" size="1"><?print getAdminEmail();?></font></b><br><br>
<input type="text" name="adminEmail" size="20">
<input type="submit" value="update"></p>
</form>
</td>
</tr>
</table>
</center>
</div>
</body>
</html>
<?
			break;
/***********************************************************************************************
Display sign administration.
***********************************************************************************************/
			default:
?>
<html>
<head>
<title><?print$title;?></title>
<style>
A {text-decoration: none}
A:hover {text-decoration: underline}
</style>
</head>
<body bgcolor="#CCCCFF" text="#000066" link="#000066" vlink="#000066" alink="#000066">
<div align="center">
<center>
<?print$menu;?>
<table border="0" cellpadding="5" cellspacing="1" width="700" bgcolor="#000066">
<tr>
<td bgcolor="#ccccff">
<p><table border="0" cellpadding="5" cellspacing="0" width="100%" bgcolor="#000066"><tr><td><font face="VERDANA" size="1" color="#ffffff"><b>Sign Page Administration</b></font></td></tr></table></p>
<table border="0" cellpadding="0" cellspacing="0" width="100%">
<tr>
<td width="40%" valign="top">
<table border="0" cellpadding="0" cellspacing="0">
<tr>
<td>
<font face="Verdana" size="1"><b>required fields:</b></font><br><br>
</td>
</tr>
<tr>
<td>
<font face="Arial" size="1"><b>
<?
$fields=new PYGLIST('fields.php');
foreach($fields->list as $value)
{
	$data=explode('<seperator>',$value);
	print($data[0].'<br>'."\r\n");
}
?>
</b></font></td>
<td>&nbsp;&nbsp;&nbsp;&nbsp;</td>
<td><font face="Arial" size="1"><b>
<?
foreach($fields->list as $value)
{
	$data=explode('<seperator>',$value);
	if($data[1]==1)
	{
		print('<a href="admin.php?action=makeNotRequired&field='.$data[0].'">required</a><br>'."\r\n");
	}
	else
	{
		print('<a href="admin.php?action=makeRequired&field='.$data[0].'">not required</a><br>'."\r\n");
	}
}
$fields->destructor();
?>
</b></font>
</td>
</tr>
</table>

<form method="POST" action="admin.php?action=setTimeOffset">
<p><b><font face="Verdana" size="1">hours offset: <?print getTimeOffset();?></font></b><br><br>
<input type="text" name="hrs" size="10">
<input type="submit" value="update"><br><br>
</p>
</form>

<form method="POST" action="admin.php?action=setMaxEntryLength">
<p><b><font face="Verdana" size="1">
max entry length (characters): <?print getMaxEntryLength();?></font></b><br><br>
<input type="text" name="length" size="10">
<input type="submit" value="update"><br><br>
</p>
</form>

</td>
<td width="20%" valign="top">
<form method="POST" action="admin.php?action=ban">
<p>
<b><font face="Verdana" size="1">i.p. banning</font></b><br><br>
<input type="text" name="ip" size="10">
<input type="submit" value="add"><br><br>
<b><font face="Verdana" size="1">banned i.p.'s:</font></b><br>
<b><font face="Arial" size="1">
<?
$banned=new PYGLIST('banned.php');
foreach($banned->list as $value)
{
	print('<a href="admin.php?action=unban&ip='.$value.'&from=signAdmin">'.$value.'</a><br>'."\r\n");
}
$banned->destructor();
?>
(click to remove)<br></font></b>
</p>
</form>
</td>
<td width="20%" valign="top">
<form method="POST" action="admin.php?action=addBadWord">
<p>
<b><font face="Verdana" size="1">bad word filter</font></b><br><br>
<input type="text" name="badWord" size="10">
<input type="submit" value="add"><br><br>
<b><font face="Verdana" size="1">bad words:</font></b><br>
<b><font face="Arial" size="1">
<?
$badWords=new PYGLIST('badWords.php');
foreach($badWords->list as $value)
{
	print('<a href="admin.php?action=removeBadWord&badWord='.$value.'">'.$value.'</a><br>'."\r\n");
}
$badWords->destructor();
?>
(click to remove)<br></font></b>
</p>
</form>
</td>
<td width="20%" valign="top">
<form method="POST" action="admin.php?action=addBadString">
<p>
<b><font face="Verdana" size="1">bad string filter</font></b><br><br>
<input type="text" name="badString" size="10">
<input type="submit" value="add"><br><br>
<b><font face="Verdana" size="1">bad strings:</font></b><br>
<b><font face="Arial" size="1">
<?
$badStrings=new PYGLIST('badStrings.php');
foreach($badStrings->list as $value)
{
	print('<a href="admin.php?action=removeBadString&badString='.$value.'">'.$value.'</a><br>'."\r\n");
}
$badStrings->destructor();
?>
(click to remove)<br></font></b>
</p>
</form>
</td>
</tr>
</table>
</td>
</tr>
</table>
</center>
</div>
</body>
</html>
<?
			break;
		}
	}
}
?>
