<?

/* DISCLAIMER *****************************************************************
*                                                                             *
* The Purple Yin Guestbook code is distributed without any warranty. All      *
* warranties, expressed or implied are hereby disclaimed. This includes but   *
* is not limited to warranties of merchantability or fitness for a particular *
* purpose. The reselling of this code is strictly prohibited.                 *
*                                                                             *
*******************************************************************************

/* PURPLE YIN GUESTBOOK INFORMATION *******************************************
*                                                                             *
* URL:           www.purpleyin.com                                            *
* AUTHOR:        Thomas Phan                                                  *
* EMAIL:         phanxo@yahoo.com                                             *
*                                                                             *
******************************************************************************/

include 'PYG.php';

if(getEntryOrder()==0)
{
	$sortedRows=getSortedDB(0,0);
}
else
{
	$sortedRows=getSortedDB(0,1);
}

/*Handle private messages.*/
if(getPrivatePlaceholder()==1)
{
	$tempArray=array();
	foreach($sortedRows as $row)
	{
		$fields=explode('<>',$row);
		if($fields[8]==1)
		{
			for($i=2;$i<count($fields);$i++)
			{
				$fields[$i]='private';
			}
			$fields[9]="";
			$fields[8]=1;
			$tempArray[]=implode('<>',$fields);
		}
		else
		{
			$tempArray[]=$row;
		}
	}
	$sortedRows=$tempArray;
}
else
{
	$tempArray=array();
	foreach($sortedRows as $row)
	{
		$fields=explode('<>',$row);
		if($fields[8]!=1)
		{
			$tempArray[]=$row;
		}
	}
	$sortedRows=$tempArray;
}

$totalEntries=count($sortedRows);

if($totalEntries==0)
{
	header("Location: ".getEmptyGoTo());
}
else
{
	$entriesPerPage=getEntriesPerPage();

	if(getSpanPages()==1)
	{
		/*Set beginning and ending entry.*/
		if(isset($HTTP_GET_VARS['beginningEntry'])&&isset($HTTP_GET_VARS['endingEntry']))
		{
			$beginningEntry=$HTTP_GET_VARS['beginningEntry'];
			$endingEntry=$HTTP_GET_VARS['endingEntry'];
		}
		elseif(isset($HTTP_GET_VARS['beginningEntry'])&&!isset($HTTP_GET_VARS['endingEntry']))
		{
			$beginningEntry=$HTTP_GET_VARS['beginningEntry'];
			if($beginningEntry+$entriesPerPage-1>$totalEntries)
			{
				$endingEntry=$totalEntries;
			}
			else
			{
				$endingEntry=$beginningEntry+$entriesPerPage-1;
			}
		}
		else
		{
			$beginningEntry=1;
			$endingEntry=0;
		}

		settype($beginningEntry,"integer");
		settype($endingEntry,"integer");

		if(
			($endingEntry-$beginningEntry<0)	||
			($beginningEntry>$totalEntries)		||
			($beginningEntry<1)			||
			($endingEntry>$totalEntries)		||
			($endingEntry<1)
		)
		{
			$beginningEntry=1;
			if($entriesPerPage<=$totalEntries)
			{
				$endingEntry=$entriesPerPage;
			}
			else
			{
				$endingEntry=$totalEntries;
			}
		}
		/*END: Set beginning and ending entry.*/
		
		/*Handle navigation for next and previous pages.*/
		if($endingEntry+1<=$totalEntries)
		{
			$bNextPage=$endingEntry+1;
		}
		else
		{
			$bNextPage=1;
		}

		if($bNextPage+$entriesPerPage-1<=$totalEntries)
		{
			$eNextPage=$bNextPage+$entriesPerPage-1;
		}
		else
		{
			$eNextPage=$totalEntries;
		}

		if($beginningEntry-1>=1)
		{
			$ePreviousPage=$beginningEntry-1;
		}
		else
		{
			$ePreviousPage=$totalEntries;
		}

		if($ePreviousPage-($entriesPerPage-1)>=1)
		{
			$bPreviousPage=$ePreviousPage-($entriesPerPage-1);
		}
		else
		{
			$bPreviousPage=1;
		}
		/*END: Handle navigation for next and previous pages.*/
	}
	else{
		$bPreviousPage=$bNextPage=$beginningEntry=1;
		$ePreviousPage=$eNextPage=$endingEntry=$totalEntries;
	}

	$headerHTML=getHeaderTemplate();
	$entryTemplate=getEntryTemplate();
	$footerHTML=getFooterTemplate();

	$counter=0;

	$entriesHTML='';

	$months=array(
		getMonth01(),
		getMonth02(),
		getMonth03(),
		getMonth04(),
		getMonth05(),
		getMonth06(),
		getMonth07(),
		getMonth08(),
		getMonth09(),
		getMonth10(),
		getMonth11(),
		getMonth12()
	);

	$days=array(
		getDay1(),
		getDay2(),
		getDay3(),
		getDay4(),
		getDay5(),
		getDay6(),
		getDay7()
	);

	for($i=$beginningEntry-1;$i<=$endingEntry-1;$i++)
	{

		$fields=explode("<>",$sortedRows[$i]);
		
		for($x=0;$x<count($fields);$x++)
		{
			$fields[$x]=str_replace('<br>',"\r\n",$fields[$x]);
		}

		for($x=0;$x<count($fields);$x++)
		{
			$fields[$x]=unhtmlentities($fields[$x]);
		}
			
		/*Handle max word length limit.*/
		for($x=2;$x<8;$x++)
		{
			$words=explode(' ',$fields[$x]);
			for($y=0;$y<count($words);$y++)
			{
				$moreWords=explode("\r\n",$words[$y]);
				for($z=0;$z<count($moreWords);$z++)
				{
					$moreWords[$z]=chunk_split($moreWords[$z],getMaxWordLen(),' ');
				}
				$words[$y]=implode("\r\n",$moreWords);
			}
			$fields[$x]=trim(implode(' ',$words));
		}
		/*END: Handle max word length limit.*/
		
		if(getAllowHTML()==0)
		{
			for($x=0;$x<count($fields);$x++)
			{
				$fields[$x]=htmlentities($fields[$x]);
			}
		}
		
		/*Handle smilies in comments and reply.*/
		if(getSmiliesEnabled()==1)
		{
			$smilies=new PYGLIST('smilies.php');
			foreach($smilies->list as $value)
			{
				$data=explode('<seperator>',trim($value));
				if(getAllowHTML()==1)
				{
					$fields[6]=str_replace($data[0],'<img border=0 src="'.$data[1].'">',$fields[6]);
					$fields[9]=str_replace($data[0],'<img border=0 src="'.$data[1].'">',$fields[9]);
				}
				else
				{
					$fields[6]=str_replace(htmlentities($data[0]),'<img border=0 src="'.$data[1].'">',$fields[6]);
					$fields[9]=str_replace(htmlentities($data[0]),'<img border=0 src="'.$data[1].'">',$fields[9]);
				}
			}
			$smilies->destructor();
		}
		/*END: Handle smilies in comments and reply.*/
		
		for($x=0;$x<count($fields);$x++)
		{
			$fields[$x]=str_replace("\r\n",'<br>',$fields[$x]);
		}

		if($fields[8]==1)
		{
			$fields[6]="<a style=\"text-decoration:none\" href=admin.php?display=privateEntry&id=$fields[0]&beginningEntry=$beginningEntry&endingEntry=$endingEntry>view private message (admin only)</a>";
		}
		
		$dateAndTime=explode(".",$fields[1]);

		$entry=$entryTemplate;

		$entry=str_replace('<mo>',$dateAndTime[0],$entry);

		if($dateAndTime[0]<10)
		{
			$entry=str_replace('<modd>','0'.$dateAndTime[0],$entry);
		}
		else
		{
			$entry=str_replace('<modd>',$dateAndTime[0],$entry);
		}

		$entry=str_replace('<month>',$months[$dateAndTime[0]-1],$entry);

		$entry=str_replace('<weekday>',$days[$dateAndTime[1]],$entry);

		$entry=str_replace('<da>',$dateAndTime[2],$entry);

		if($dateAndTime[2]<10)
		{
			$entry=str_replace('<dadd>','0'.$dateAndTime[2],$entry);
		}
		else
		{
			$entry=str_replace('<dadd>',$dateAndTime[2],$entry);
		}

		$entry=str_replace('<ye>',$dateAndTime[3],$entry);

		$yr=$dateAndTime[3]%100;
		if($yr<10)
			$entry=str_replace('<yedd>','0'.$yr,$entry);
		else
			$entry=str_replace('<yedd>',$yr,$entry);

		$entry=str_replace('<ho>',$dateAndTime[4],$entry);

		if($dateAndTime[4]<10)
		{
			$entry=str_replace('<hodd>','0'.$dateAndTime[4],$entry);
		}
		else
		{
			$entry=str_replace('<hodd>',$dateAndTime[4],$entry);
		}

		if($dateAndTime[4]<12)
		{
			$entry=str_replace('<ampm>','am',$entry);
		}
		else
		{
			$entry=str_replace('<ampm>','pm',$entry);
		}

		if($dateAndTime[4]>=1&&$dateAndTime[4]<=12)
		{
			$entry=str_replace('<ho12>',$dateAndTime[4],$entry);
		}
		else
		{
			$entry=str_replace('<ho12>',abs($dateAndTime[4]-12),$entry);
		}

		if($dateAndTime[4]>=1&&$dateAndTime[4]<=12)
		{
			if($dateAndTime[4]<10)
			{
				$entry=str_replace('<ho12>','0'.$dateAndTime[4],$entry);
			}
			else
			{
				$entry=str_replace('<ho12>',$dateAndTime[4],$entry);
			}
		}
		else
		{
			if(abs($dateAndTime[4]-12)<10)
			{
				$entry=str_replace('<ho12>','0'.abs($dateAndTime[4]-12),$entry);
			}
			else
			{
				$entry=str_replace('<ho12>',abs($dateAndTime[4]-12),$entry);
			}
		}

		$entry=str_replace('<mi>',$dateAndTime[5],$entry);

		if($dateAndTime[5]<10)
		{
			$entry=str_replace('<midd>','0'.$dateAndTime[5],$entry);
		}
		else
		{
			$entry=str_replace('<midd>',$dateAndTime[5],$entry);
		}

		$entry=str_replace('<se>',$dateAndTime[6],$entry);

		if($dateAndTime[6]<10)
		{
			$entry=str_replace('<sedd>','0'.$dateAndTime[6],$entry);
		}
		else
		{
			$entry=str_replace('<sedd>',$dateAndTime[6],$entry);
		}
		
		$number=$beginningEntry+$counter++;

		$entry=str_replace('<number>',$number,$entry);

		$entry=str_replace('<name>',$fields[2],$entry);

		/*Check email validity.*/
		$valid=1;
		$pos=strpos($fields[3],'.');
		if($pos===false)
		{
			$valid=0;
		}
		$pos=strpos($fields[3],'@');
		if($pos===false)
		{
			$valid=0;
		}

		/*Auto-link email if valid.*/
		$email=$fields[3];
		if($valid==1)
		{
			$email='<a href="mailto:'.$fields[3].'">'.$fields[3].'</a>';
		}

		/*Display email icon if valid.*/
		$emailIcon='';
		if($valid==1)
		{
			$emailIcon='<a href="mailto:'.$fields[3].'"><img border=0 src=email.gif></a>';
		}

		/*Check homepage URL validity.*/
		$valid=1;
		$pos=strpos($fields[4],'.');
		if($pos===false)
		{
			$valid=0;
		}

		/*Auto-link homepage if valid.*/
		$homepage=$fields[4];
		if($valid==1)
		{
			$homepage='<a href="http://'.$fields[4].'">'.$fields[4].'</a>';
		}

		/*Display homepage icon if valid*/
		$homepageIcon='';
		$homepageIconBlank='';
		$homepageIconTop='';
		if($valid==1)
		{
			$homepageIcon='<a href="http://'.$fields[4].'"><img border=0 src=homepage.gif></a>';
			$homepageIconBlank='<a target=_blank href="http://'.$fields[4].'"><img border=0 src=homepage.gif></a>';
			$homepageIconTop='<a target=_top href="http://'.$fields[4].'"><img border=0 src=homepage.gif></a>';
			
		}

		$entry=str_replace('<email>',$fields[3],$entry);

		$entry=str_replace('<emailLinked>',$email,$entry);

		$entry=str_replace('<emailIcon>',$emailIcon,$entry);

		$entry=str_replace('<homepage>',$fields[4],$entry);

		$entry=str_replace('<homepageLinked>',$homepage,$entry);

		$entry=str_replace('<homepageIcon>',$homepageIcon,$entry);
		
		$entry=str_replace('<homepageIconBlank>',$homepageIconBlank,$entry);
		
		$entry=str_replace('<homepageIconTop>',$homepageIconTop,$entry);

		$entry=str_replace('<location>',$fields[5],$entry);

		$entry=str_replace('<comments>',$fields[6],$entry);

		$entry=str_replace('<ip>',$fields[7],$entry);
		
		if(strlen($fields[9])>0)
		{
			$replyTemplate=getReplyTemplate();
			$replyTemplate=str_replace('<reply>',$fields[9],$replyTemplate);
			$entry=str_replace('<reply>',$replyTemplate,$entry);
		}
		
		$entry=str_replace('<extraField1>',$fields[10],$entry);
		$entry=str_replace('<extraField2>',$fields[11],$entry);
		$entry=str_replace('<extraField3>',$fields[12],$entry);
		$entry=str_replace('<extraField4>',$fields[13],$entry);
		$entry=str_replace('<extraField5>',$fields[14],$entry);
		
		$entry=str_replace('<id>',$fields[0],$entry);
		
		/*Handle delete URL.*/
		if($beginningEntry==$totalEntries)
		{
			$entry=str_replace('<deleteURL>',"admin.php?action=deleteEntry&id=$fields[0]&from=view&beginningEntry=$bPreviousPage",$entry);
		}
		else
		{
			$entry=str_replace('<deleteURL>',"admin.php?action=deleteEntry&id=$fields[0]&from=view&beginningEntry=$beginningEntry",$entry);
		}
		/*END: Handle delete URL.*/

		$entry=str_replace('<editURL>',"admin.php?display=editEntryForm&id=$fields[0]&from=view&beginningEntry=$beginningEntry&endingEntry=$endingEntry",$entry);
		
		$entry=str_replace('<replyURL>',"admin.php?display=replyForm&id=$fields[0]&from=view&beginningEntry=$beginningEntry&endingEntry=$endingEntry",$entry);
		
		$entriesHTML.=$entry;
	}

	$outString=$headerHTML.$entriesHTML.$footerHTML;

	/*Additional tags to be parsed. Can appear anywhere in HTML.*/

	$outString=str_replace('<total>',$totalEntries,$outString);
	$outString=str_replace('<beginning>',$beginningEntry,$outString);
	$outString=str_replace('<ending>',$endingEntry,$outString);
	$outString=str_replace('<bNextPage>',$bNextPage,$outString);
	$outString=str_replace('<eNextPage>',$eNextPage,$outString);
	$outString=str_replace('<bPreviousPage>',$bPreviousPage,$outString);
	$outString=str_replace('<ePreviousPage>',$ePreviousPage,$outString);
	$outString=str_replace('<nextURL>','view.php?beginningEntry='.$bNextPage.'&endingEntry='.$eNextPage,$outString);
	$outString=str_replace('<prevURL>','view.php?beginningEntry='.$bPreviousPage.'&endingEntry='.$ePreviousPage,$outString);
	$outString=str_replace('<scriptName>',$title,$outString);
	$outString=str_replace('Purple Yin Guestbook Version 1.0.0',$title,$outString);
	$outString=str_replace('Purple Yin Guestbook Version 1.0.1',$title,$outString);

	print($outString);
}
?>
